/*
 * Rexx/Tk Aces - based on Nintendo 64 game; Aces
 * Distributed as demo program with Rexx/Tk
 * Requires REXXUTIL
 *
 * Card images courtesy of "oxymoron"
 * Background image courtesy of Ian Collier
 *
 */
Call Rxfuncadd 'TkLoadFuncs','rexxtk','TkLoadFuncs'
Call TkLoadFuncs

Call Rxfuncadd 'SysLoadFuncs','rexxutil','SysLoadFuncs'
Call SysLoadFuncs

Call GenerateImages

Call CreateWindow

Call Init 0

Do Forever
   cmd = TkWait()
   Interpret 'call' cmd
End

Return

Shuffle:
suit.1 = 'c'; suit.2 = 'd'; suit.3 = 'h'; suit.4 = 's'
value.1 = 1; value.2 = 2;value.3 = 3; value.4  = 4;   value.5 = 5;   value.6 = 6
value.7 = 7; value.8 = 8;value.9 = 9; value.10 = 'A'; value.11 = 'B'; value.12 = 'C'
value.13 = 'D'
Do col = 1 To 4
   Do row = 1 To 13
      crd = ((col-1)*13) + row
      card.crd = '00'suit.col|| value.row || Right( Random(1, 100000 ), 6, 0 )
   End
End
card.0 = 52
Call SysStemSort 'card.', 'ascending', 'c', , , 5, 10
Do i = 1 To card.0
   imagebase = Translate( Substr( card.i, 4, 1 ), '23456789tjqka', '123456789ABCD' )||Substr( card.i, 3, 1)
   image.i = imagebase
   card.i = Right( i, 2 )||Substr( card.i, 3 )
End
Return

DoMove: Procedure Expose stack. obj. canvas image. undo_card. undo_to. undo_from. undo_index
Parse Arg clicked_column
/*
 * First determine if the top card on the selected column is less than
 * any other top card of the same suit in the other columns.
 */
clicked_row = stack.clicked_column.0
clicked_suit = Substr( stack.clicked_column.clicked_row, 3, 1 )
clicked_value = Substr( stack.clicked_column.clicked_row, 4, 1 )
clicked_deck_index = Strip( Substr( stack.clicked_column.clicked_row, 1, 2 ) )
Do col = 1 To 4
   If i \= clicked_column Then
      Do
         myidx = stack.col.0
         mysuit = Substr( stack.col.myidx, 3, 1 )
         myvalue = Substr( stack.col.myidx, 4, 1 )
         If clicked_suit = mysuit & myvalue > clicked_value Then
            Do
               Call TkCanvasDelete canvas, obj.clicked_column.clicked_row
               stack.clicked_column.0 = stack.clicked_column.0 - 1
               /*
                * Setup undo for discard
                */
               undo_index = undo_index + 1
               undo_to.undo_index = clicked_column
               undo_from.undo_index = 0
               undo_card.undo_index = image.clicked_deck_index
               undo_card.0 = undo_index
               undo_from.0 = undo_index
               undo_to.0 = undo_index
               Return
            End
      End
End
/*
 * We haven't found a card less than ours; have we got an empty stack ?
 */
Do col = 1 To 4
   If col \= clicked_column Then
      Do
         If stack.col.0 = 0 Then
            Do
               /*
                * Setup undo for moved card
                */
               undo_index = undo_index + 1
               undo_to.undo_index = clicked_column
               undo_from.undo_index = col
               undo_card.undo_index = image.clicked_deck_index
               undo_card.0 = undo_index
               undo_from.0 = undo_index
               undo_to.0 = undo_index
               /*
                * Add the top card on the clicked column to the first
                * row of the empty column
                */
               myidx = stack.col.0 + 1
               obj.col.1 = TkCanvasImage( canvas, (100*col)+45, (30*myidx)+30, '-image', image.clicked_deck_index, '-tag', 't'col )
               stack.col.1 = stack.clicked_column.clicked_row
               stack.col.0 = 1
               /*
                * Remove the top card from the clicked column
                */
               Call TkCanvasDelete canvas, obj.clicked_column.clicked_row
               stack.clicked_column.0 = clicked_row - 1
               Return
            End
      End
End
Return

CreatePlayingField:
Parse Arg destroy
If destroy Then Call TkDestroy( canvas )
canvas_height = 480
canvas_width = 500
canvas = TkCanvas('.canvas', '-width', canvas_width, '-height', canvas_height, '-background', 'white')
Call TkPack canvas, '-side', 'left', '-fill', 'both'
/*
 * Tile the background image...
 */
num_rows = 1 + (canvas_height % 128)
num_cols = 1 + (canvas_width % 128)
Do i = 1 To num_rows
   Do j = 1 To num_cols
      x = (j-1) * 128
      y = (i-1) * 128
      Call TkCanvasImage canvas, x, y, '-image', 'rb', '-anchor', 'nw'
   End
End

Call TkBind canvas, '<3>', '*Undo'
Call TkBind 'all', '<Control-q>', '*Quit'
Call TkBind 'all', '<Control-n>', '*Init 1'
Call TkBind 'all', '<Control-z>', '*Undo'
Call TkBind 'all', '<F1>', '*Help'
Call TkCanvasBind canvas, 't1', '<1>', '*ButtonPress 1'
Call TkCanvasBind canvas, 't2', '<1>', '*ButtonPress 2'
Call TkCanvasBind canvas, 't3', '<1>', '*ButtonPress 3'
Call TkCanvasBind canvas, 't4', '<1>', '*ButtonPress 4'
Call TkCanvasBind canvas, 'back', '<1>', '*ButtonPress back'
Call TkBind 'all', '1', '*ButtonPress 1'
Call TkBind 'all', '2', '*ButtonPress 2'
Call TkBind 'all', '3', '*ButtonPress 3'
Call TkBind 'all', '4', '*ButtonPress 4'
Call TkBind 'all', '<Return>', '*ButtonPress back'
backobj = TkCanvasImage( canvas, 50, 60, '-image', 'b', '-tag', 'back' )
Parse Value TkBbox( canvas, backobj) With deck_x1 deck_y1 deck_x2 deck_y2
deck_width = deck_x2 - deck_x1 + 1
deck_height = deck_y2 - deck_y1 + 1
f1 = TkFrame( canvas'.f1', '-width', deck_width, '-height', deck_height, '-background', 'white', '-relief', 'raised', '-bd', 2 )
cards_label = TkLabel( f1'.cards_label', '-text', 'Cards Left', '-font', 'Helvetica 12', '-background', 'white' )
cards_left = TkLabel( f1'.cards_left', '-text', '52', '-font', 'Helvetica 12 bold', '-background', 'white' )
time_label = TkLabel( f1'.time_label', '-text', 'Game Time', '-font', 'Helvetica 12', '-background', 'white' )
game_time = TkLabel( f1'.game_time', '-text', ' :00', '-font', 'Helvetica 12 bold', '-background', 'white' )
Call TkPack cards_label, cards_left, time_label, game_time, '-side', 'top', '-expand', 1
Call TkCanvasWindow canvas, deck_x1, deck_y2 + 10, '-window', f1, '-anchor', 'nw'
Return

ButtonPress:
Parse Arg column .
Select
   When column = 'back' Then Call Deal
   Otherwise Call DoMove column
End
/*
 * Check if we are at the end of the game...
 */
If cards_in_deck = 0 Then
   Do
      If stack.1.0 = 1 & stack.2.0 = 1 & stack.3.0 = 1 & stack.4.0 = 1 Then
         Do
            /*
             * We won. Tell the player how long it took and ask for
             * the user details to store in the "highscores"
             */
            Call TkMessageBox  '-message', 'Finally!!', '-title', 'Got it', '-type', 'ok', '-icon', 'info'
         End
      Else
         Do
            /*
             * See if there are any more valid moves. If not then
             * as if the player wants to undo the last move and
             * continue, start a new game, or exit
             */
            valid_moves = 0
            rem_suits = 'cdhs'
            Do i = 1 To 4
               current_row = stack.i.0
               current_suit = Substr( stack.i.current_row, 3, 1 )
               rem_suits = Translate( rem_suits, '#', current_suit )
            End
            If rem_suits = '####' Then
               Do
                  /*
                   * One card of each suit remain. End of game!
                   */
                  action = TkMessageBox( '-message', 'Finished in' Time('S') - start_time 'seconds. Start a new game ?. Yes; continue, No; Quit, Cancel; Undo last move', '-title', 'No more moves!', '-type', 'yesnocancel', '-icon', 'info' )
                  Select
                     When action = 'yes'    Then Call TkEvent 'generate', '.', '<Control-n>'
                     When action = 'no'     Then Call TkEvent 'generate', '.', '<Control-q>'
                     When action = 'cancel' Then Call TkEvent 'generate', '.', '<Control-z>'
                     Otherwise Nop
                  End
               End
         End
   End
Return

Undo:
If undo_index = 0 Then Return
Select
   When undo_card.undo_index = 'deal' Then /* undo a deal */
      Do
         number_of_deals = number_of_deals - 1
         cards_in_deck = cards_in_deck + 4
         Do i = 1 To 4
            current_row = stack.i.0
            Call TkCanvasDelete canvas, obj.i.current_row
            stack.i.0 = stack.i.0 - 1
         End
         Call ShowNumberCards
      End
   When undo_from.undo_index = 0 Then /* get card back from discard pile */
      Do
         add_stack = undo_to.undo_index
         add_row = stack.add_stack.0 + 1
         add_card = undo_card.undo_index
         obj.add_stack.add_row = TkCanvasImage( canvas, (100*add_stack)+45, (30*add_row)+30, '-image', add_card, '-tag', 't'add_stack )
         stack.add_stack.0 = stack.add_stack.0 + 1
      End
   Otherwise /* move card from 1 stack to another */
      Do
         /*
          * Delete card from stack...
          */
         delete_stack = undo_from.undo_index
         delete_row = stack.delete_stack.0
         Call TkCanvasDelete canvas, obj.delete_stack.delete_row
         stack.delete_stack.0 = stack.delete_stack.0 - 1
         /*
          * ... add it to new stack.
          */
         add_stack = undo_to.undo_index
         add_row = stack.add_stack.0 + 1
         add_card = undo_card.undo_index
         obj.add_stack.add_row = TkCanvasImage( canvas, (100*add_stack)+45, (30*add_row)+30, '-image', add_card, '-tag', 't'add_stack )
         stack.add_stack.0 = stack.add_stack.0 + 1
      End
End
undo_index = undo_index - 1
undo_card.0 = undo_index
undo_from.0 = undo_index
undo_to.0 = undo_index
Return

Deal:
If number_of_deals = 0 Then 
   Do
     start_time = Time('S')
     Call TkAfter 1000, 'ShowTime'
   End
number_of_deals = number_of_deals + 1
Do col = 1 To 4
   row = stack.col.0 + 1
   crd = ((number_of_deals-1)*4) + col
   stack.col.row = card.crd
   obj.col.row = TkCanvasImage( canvas, (100*col)+45, (30*row)+30, '-image', image.crd, '-tag', 't'col )
   stack.col.0 = row
End
cards_in_deck = cards_in_deck - 4
undo_index = undo_index + 1
undo_card.undo_index = 'deal'
If cards_in_deck = 0 Then 
   Do
      Call TkCanvasDelete canvas,backobj
      outlinerect = TkCanvasRectangle( canvas, deck_x1, deck_y1, deck_x2, deck_y2, '-fill', 'grey', '-outline', 'black', '-width', '1', '-tag', 'empty' )
      Call TkCanvasBind canvas, 'empty', '<1>', '*ButtonPress empty'
   End
Call ShowNumberCards
Return

ShowNumberCards:
Call TkConfig cards_left, '-text', cards_in_deck
Return

ShowTime:
etime = Time( 'S' ) - start_time
mins = etime % 60
secs = etime // 60
If mins = 0 Then mins = ' '
Call TkConfig game_time, '-text', mins':'Right( secs, 2, '0' )
show_time_id = TkAfter( 1000, 'ShowTime' )
Return

Quit:
Exit 0

Init:
Parse Arg destroy
Call CreatePlayingField destroy
Call Shuffle
cards_in_deck = 52
number_of_deals = 0
stack.1.0 = 0
stack.2.0 = 0
stack.3.0 = 0
stack.4.0 = 0
undo_card.0 = 0
undo_from_stack.0 = 0
undo_to_stack.0 = 0
undo_index = 0
If destroy Then Call TkAfter 'cancel', show_time_id
Return

CreateWindow:
Call TkWm 'title', '.', 'Rexx/Tk - Aces'
menubar = TkMenu('.m1')
gamemenu = TkMenu(menubar'.file','-tearoff', 0)
Call TkAdd menubar, 'cascade', '-label', 'Game', '-menu', gamemenu
Call TkAdd gamemenu, 'command', '-label', 'New Game', '-rexx', 'Init 1', '-accelerator', 'Ctl+N'
Call TkAdd gamemenu, 'command', '-label', 'Undo Move', '-rexx', 'Undo', '-accelerator', 'Ctl+Z'
Call TkAdd gamemenu, 'separator'
Call TkAdd gamemenu, 'command', '-label', 'Quit', '-rexx', 'Quit', '-accelerator', 'Ctl+Q'

helpmenu = TkMenu(menubar'.help','-tearoff', 0)
Call TkAdd menubar, 'cascade', '-label', 'Help', '-menu', helpmenu
Call TkAdd helpmenu, 'command', '-label', 'Contents', '-rexx', 'Help', '-accelerator', 'F1'

Call TkConfig '.', '-menu', menubar
Return

Help:
win = TkToplevel( '.help', '-background', 'white' )
/*
 * Create Cancel button
 */
b1 = TkButton(win'.b1', '-text', 'Cancel', '-rexx', 'cancel', '-takefocus', 0)
t2 = TkText(win'.t2', '-width', 80, '-wrap', 'word', '-height', 30, '-font', 'Helvetica 10', '-background', 'white' )
Call TkPack t2, b1, '-side', 'top'

Call TkTextTagConfig t2, 'raised', '-relief', 'raised', '-borderwidth', 1
Call TkTextTagConfig t2, 'bold', '-font', 'Helvetica 10 bold'
Call TkTextTagConfig t2, 'center', '-justify', 'center'

Call TkGrab win
Call TkWm 'title', win, 'Aces Help'

Call TkInsert t2, 'end', 'Purpose', 'raised'
Call TkInsert t2, 'end', '\nThe purpose of the game is to leave only the 4 aces on the playing area after all cards from the deck have been dealt.\n\n'
Call TkInsert t2, 'end', 'Rules of Play', 'raised'
Call TkInsert t2, 'end', '\nA card may be removed from the playing area if another card with a higher value (Ace highest, two lowest) of the same suit is fully exposed on another column.  When an empty column occurs, any fully exposed card may be',
                         'moved into the empty column. When no more cards can be discarded, you must deal another 4 from the deck.\n\n'
Call TkInsert t2, 'end', 'Commands', 'raised'
Call TkInsert t2, 'end', '\nThe following mouse and key actions are supported:\n'
Call TkInsert t2, 'end', '\tKey/Mouse\tLocation\t\tAction', 'bold'
Call TkInsert t2, 'end', '\n\tLeft-click\t\ton exposed card\tdiscard card'
Call TkInsert t2, 'end', '\n\tLeft-click\t\ton deck\t\tdeal'
Call TkInsert t2, 'end', '\n\tEnter\t\tanywhere\t\tdeal'
Call TkInsert t2, 'end', '\n\tRight-click\tanywhere\t\tundo move'
Call TkInsert t2, 'end', '\n\t^Z\t\tanywhere\t\tundo move'
Call TkInsert t2, 'end', '\n\t1\t\tanywhere\t\tdiscard column 1'
Call TkInsert t2, 'end', '\n\t2\t\tanywhere\t\tdiscard column 2'
Call TkInsert t2, 'end', '\n\t3\t\tanywhere\t\tdiscard column 3'
Call TkInsert t2, 'end', '\n\t4\t\tanywhere\t\tdiscard column 4'
Call TkInsert t2, 'end', '\n\t^N\t\tanywhere\t\tstart new game'
Call TkInsert t2, 'end', '\n\t^Q\t\tanywhere\t\tquit'

Parse Version ver
Call TkInsert t2, 'end', '\n\n'
Call TkInsert t2, 'end', 'Versions:', 'center'
Call TkInsert t2, 'end', '\n'
Call TkInsert t2, 'end', ver, 'center'
Call TkInsert t2, 'end', '\n'
Call TkInsert t2, 'end', TkVariable('VERSION'), 'center'
Call TkInsert t2, 'end', '\n'
Call TkInsert t2, 'end', 'Tcl/Tk' TkVar('tk_version'), 'center'

Call TkConfig t2,'-state','disabled'

cmd = TkWait()
Call TkGrab 'release', win
Call TkDestroy win
Return


GenerateImages:
Call TkImagePhoto 'b',  '-data', "R0lGODlhSQBhAMYAAAAAAFIhCHtCGICAgIw5CIxaMZxCCJxjOaVSEKVSIa1rQrV7Ur1aGL1jKb1rIb1rOb17Kb2ca8DAwMZzQsZ7Ws57Mc57Ss6MY9ZzKdZ7OdZ7Wtacc9athN5zQt6EQt6EUt6lUud7Uud/QueMUueUWuelWut3Oe+UQu+UWu+cY++la++lc/eMQveMUveMY/ecY/ecc/e1hPfesf+UQv+cUv+lUv+lWv+la",
                                 "/+tc/+1a/+1e//GY//Gc//OjP/33v//AP//+////wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA",
                                 "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAEAAD8ALAAAAABJAGEAQAf+gD8SAISFhoeIiYqLjI2FEj8AQZMlCwk9Hh4pNygqKDc9EzITMQEjHTk6BykJCxYHIxcEGxYCBAcaCgm7KB+nGiICDyEPDR0NNCEtKB6eNxMpF5NBhNMEChMYKAwuCQ4ECTAWPR8JNikZHeAxFh8TCRYoIzwEHisPBwcKMDI",
                                 "wMTIyOAAUwCGfggICBASQQWGBAgUuMHQ4MK3apA4QdFhY0AAHgRsONGbQkWOEjhQ8GoSo8YGHAR0qIHx4wKMHDxk9sCHg4WFGjp85UuxI8aIFCxYmWoho8QJFi6cSQ1ioKGmSBwMvelgYwQAGBh0icJxQwfQFBhooRIjo8JSGiE3+JW3QuKGKBIITGDykkyhxQoYMDj6ciHfjQIEFCFJgGPFh6iSLQT6gmODjgoMOKEx08ICiAg",
                                 "0bNWycQGHDAg4b5yrcYJAiR4AOJRrEOPCBQAMHGBo0YJBgN4MRGHobe4DgAAECJJYqXUB1mtgcMSroeJGjB4geNnKgyOFgrg0HPF5kYJDDA4QbEATU4DGBQQwBII6OmMFCBI0RJpKOYOHChQYY+hBQUAAF0OBCC9I8VlUQT7XQQAZKuZUCDUyh8MJ9T8232FLyvNCUCjc8YMEFCKxgAUAy+OBDQBwsQGAACQWgAQ0snPACDiy",
                                 "0YEEHHTCn4DSk0eBBDDrsMN10PNz+EMMNO9zg5Ao44AClkyqooAMKJZAwAgoKIACCBzWk4EIII9DQ1Ahb4mDhCA1MoIAAE2igUHIYPNDcJBOgeSIQEZj4gQsPAJeAC2124AKEE1BggQI4NEBCBxvkdkMJFmiAQQgYXKpUjZI1cKBSCWiw1X0dfMBjj3cG4UIHGPTnAQktUBhWCCRYcMMHIcCAQicoqOnCCE25EOJmMRSwwVFL",
                                 "rbXZDWbx6CENFjwAQwg4kNCABRg42ECqN9gAwmgg/LOBDRNY+MGtu+owgaEkpPBABlqmQAFExUywQAHgXFBADAtcoAAFEfSQIkC4HBQDBwEEcEEKOERbkSCORCzxxBP+Q7LguR50YEGbDexyAAL4HnecLQgkALI3D3C0wAQkkHCBQiO0cApbFGqwAAEPPDDmCFp2QGsIPErGM0U/TjJofyO4UK4HLqQwQgq6vqDlCymocAEML",
                                 "rOc8wEmE6DQvgL4IJCKKMogwAUauLDBBAkJsIHQO56SQKoi3LBAZalkh8mSLzi5wwo8rLBCDzqsMJiHHgS1wgIq5LAACg4s5a4DO+yQg+U2pPVCB0UduDkMq2rQgZ1Fq/qBAyQIzgAOLnh4Qwc3qCAm1S2sMJcKPeDQ7Q0pfNI3D2c7kIEHH2T8gUR6fZBBtDLhQ8ACEFgwwwkijOAjNQvmsJ4MHzDc4TL+aMkF4g006BBl4Tzo",
                                 "oCQPMdQUA78UJDAB8Yx5gOYIIZj6wf4TjGhYARkowVJOcD3I9KA6PNjACUYXqwDEYAIEeMEJILACAujAAT3oAQJ0QAAUpKB73+LZBgCIgBhcAEUrUlEKZXCAGHhgBy+QSwfUkgG1aCBVwBlBQBzgAQewgFUkqQA9lDECEXziNzjwgA7QhBq6eOBmPHhKDV4wAxTMgIonmIEKpscCBjTgAQwQgQMSoBYRAG0CqarAC0RggBQwZ",
                                 "SQM6MEKdnKoa2SgB1ixAQRwgy0PaNACDiCgAmxgOR7kQAU2UAENTlCDE9xgBTm6wauclAIbrJEEFEJj6Rr+gAIBpEAGDdDLA1DAlhWgYCsHaEAuTLMLEvBgASnYYPcAdQF9tEIf77uAQACig38sACswwJoFWkCfFtRQk9ibBnkCRYAJaHAtH5wJCghwrkpdpgUE6EYCPMCAc4zxBhswDKM2sIANBAQgMRihAmKwgg3MKwEHoU",
                                 "ABDhCADWgsVSSQ3wOO0RgSuG0WjkKBKbbSsRcgg0ckwIAIIGgAAS3gAE+JR8dgFYKlhKABH6jeoi4wqHXt6C83LF0QgEDSkY4UCD4gqUqDIIOjuMBaAjBNMSAVgOM0qgcUWFgVrWgjGpkgfCf4IWD4kVIVTaKkIp2GUpfK1KY69alQjapSIXP+AyOmQAQeYJ8K+qaRDO5ABYa8HO4Q0IMAvMB+JgGOBRIgAKBJxCgv6E/KBEA",
                                 "BoMGgVBH6wAvQRIMOrEABqbJAQ/LZg0sQYAUum8z+nrYCCDwAAw54QWOKWEm2tOMAEVCAOVeUog08QEn03B8OVHA+ovhicw+YANGSOQmuNWBzJIBB0lDgAhWE5FcxzADP/BGK1vXCAxfQywIeIIAVJMAHB1jRLjmAMBkUoKYvCsACEkKAC5xiBIDd5AMUIAMt4QA4JKALBFxyIFqxzWSGvM4CcCAwb6mAnDC4Qa7iqoMQuOCuAZ",
                                 "hAwhJ2nAIwIASiIxNussvaIFjAA+aMwa7a1ZT+oFTrJ+qDkjxs0IJzXagFNyBBlVRQgAlAYFdmOY4BDrSD/NC2BTbAAbVYNgEHAOuRqUrBBkwWARwkAAfSIsEHFECSE5QgBwQgTwYQwCoeBIABHqABCECAALC6omQYmIBuHKCbByGgY7tpQMlSCQ8eraqAC+JECtKJgxi0QAdo5gEKeKC7VPyEvTGEiQhQAxTUzIaj2DqFXhb",
                                 "qgAlI+bEQ8AsCihO9tNhgBMiEjOHKjILwdasDI8jqTzbBAxHk4AYtUKR9GCDJ4iHgATgoAAoMIAIG1AmyucEAA1jlgFYnAAIJKMA8EZAcM5KuwLD+QCho8AE1WogGPOABaW9QHa7+ZueQhsQBSWiQig8sgAIPiCyPNhTlDEQbAh3ojYfzsYATiCWDG+AWAdIZgZ2goAZ6kSAiPeAkDOQAASGiEK8TR4ImHZCFaPaAUk6wjBN8",
                                 "ADWjoU8OAI7ipWCaLCRIVXAMIIMPb0Bm2F5XBhoQHNwYYBcJKEZDG0qAK99CAAVowAouR2w5luACG1CRBFK0osPkQHdXFc0IHFNgBEyzu0TZKytkJ4IKpsAALZCJjUkAAY/U6gYEEBWCCZCC+mBFBDOoYtRRkKP6mOCLF2i0C1gwgho2JlUXJwBAFNCBPkNAy3usspYbAI6SDdpkJkMAOBJAIFEMjAPisUF9QpCwEFD+8Sgt6",
                                 "EDV10I8MFuDlCnogA1IEMEExKBRZyUBKT6ggtcmwAAooEV4q7YJeBzg4hagdXhbBgMcwEABQHDgDWaAmkaywEwiWAyBIfOTFVRyKXJxcw9aYzkUqG/gRFGSk+jipBFs4E0laGSmnjLnc/MkciKoQUFTsIIYkEADLbDfrSFzgpfvQAYVsM9pbYCTEVSHHHq1vQ7Ic+gqXXkDL7BAARSgJWD5YiOxWJQMdBlODsDgudLlFWu0fQui",
                                 "AbVyAjIQA9i3DC0ANVBzIySgA8KiSCmwCRXoARawKA/AVgcAK/pmFDJjAmrRAqzhAfyWI2gRAoBnFCJAc5ABDwkQAnH+JAPd1AAqgAFachsJcAEG0AHrggE1UCq1cRySxyqLUgBJ0wIhUAFP8QEYRgIZ0D1SkwsHIGVssgEZkCmGNwll4kYqkGQu8AEkcCOmtAHVEltYswG1sgAkkFrRkgAf4zX78iiptRuItl30ZAn0Fz9vQ",
                                 "gEJU04ikA6pwiNs9wDawiqX0gGMRwL+gQEZxXQdcVHO1hEYBSkQsAAWZSoJwAAT8AEU4jMx0wItsz88cnXrEgKJdjGlFyvVo1cvpWMbIA8882+M+AEaMBkaMzq5kAG7MF1u8gAaMAHbJWUaIC4ccHzzwlwFkFPSJTqpOA0oBQQmpVIqhFIjtSInMAKRJT/+IGAyOvAAM7E8DkBOpDQCJ+ABL1ADaIEWSZEhM2QAEDQjIsB1LJ",
                                 "cqUnWP+JiP+AgAEjAA+viPAAmQAzAIAVmQBhlVkGEBnmADrzIB6nMBwQYCOJBAvGMDH5AKiIRmm4AmCPYAOiAAHahqM4QBd7UWb6ISXQFpp3Q/kYZoL7BaCVkqDWBErRZp7MMDZ7c/ETg8FVACM1Z6DTBjBaADPUAA+NICOeMCyrEUNLAByMEVmaKU9lFh9jMaL0CA06ACtpAAiPUKHpQCjNcAPLAKAhAiFwACMnEAFJQAqgA",
                                 "8MiBddIVZF4BcMYUtIeAKFiBlExB7HOMOfuZnLrggCpAzToH+AkdjAG4RAijQADZAPlGoMfnzND3jIeG1ArKWEAOzckAgAwvgIjAgMg+ghjsCaTOTG7O3IPPCdmwnMrbgNQFwcSUjZQWQlK6wP9FAASBQAiZUACSQXBLAWWTjA2GjATaDEAnjh/QHaYSYKl/kM4sRAr2jSDyDOmnxFGAphgGQT220Aa+ikA7wUPriAwMJEAKhAc",
                                 "61mQrxNQmTEAsADCIwE6lSG9zFUWNmAY9yDKZQASTAAFGYTgfgAOynParhAJKUD/NHAhSQoLKWoG/if9Z3QgcgANbXAAYQLT4IkwtiJiXgA+NCAiDAdjxTdC5ASnNRMoA0AcsQaKQhavcgfxn+QBQU8kgnwEioE3gwcCP/0VdI+Rur1gAFkCq7kiIccAEWII6WkQ0dg3FyF6EvygAigy8lY5T6gAI1FENaIhcV0AORExFmhBs",
                                 "dIwIJwDkiEH+p0jg2sE76ViarkzkxhAEWyXicgwIrYABI50GS9AoSmQ+1kBDGADQo4G7oRiE18lMkiAEZIIyPdZrTACypk4AekFovMEcHoAIPcAI8wAAnkQNzcUopoAO6pgJkVVZmcwF/0TckcAJEVzwjqBQj4CT7tC5McSpYOQmPAg+MkgAewhq7cQOIqRQuYAFh8h04wB2ccAMYUAImsgP/kgCI5gEeBTQzgYF+5oNFii/C",
                                 "FqP+1pMqIWBdG5BZ7wBrayd3Gwd3JuOkHOc1cicADVUAJPJFrYYbDEBlXuQAEKAAY5SXl8lvc5YBFACkvtAD+wRpNMAAazSPNoABKRASGNA3NLCwDcsMjSYdd8SuD4BWvaAW9lMqfhGFFrBkIPlQMLBIg5EqDoADWXEBU3kD/FEB2WEDJtAtMYABunMpNsA5c/ETJUADVfIAc8QjWXiorLIXBwYBGJCB6WEYCbBVMhNSBXYCO",
                                 "tABWmEAGRBk/lYDN5ABNLCJBJAtDGAANUAAm8prIJIDUAgCCpACyHA/pBkzkaYWQZOBH/MxN8BvX1c6X2KeC1ABziplfVZlcIcADlD+MquJcbGGAOrKVs/2aqnGKqzyIFTWAP+pAJALkvChFjOQARCQKqJIAjIgO0nSAsJiA+xTFDWATd9hAQyJYjkAAULCHaezOBQwATdQRDOTJ9TqURmYbe/BGSj4AZlbOjhgAP8gAwlgFHqk",
                                 "DACHFraFA+oQfVRqKvJwQSQCAhAUQVP5KRfyAUlBYfYTK1RzIfWhFLMaBDrQZJ07Ag9gAk+jYk9zA4AEASZYE+cAGGWHAeeYCbTmYtrwYeAYKKcEafEQMyKIFqxYHyYYmIvqITIAAmP6evbhFkVUAdlYgTZQAi2wAw2obEARAyoQAy+pDw/QEArQmSwiAyW1f+x3Ak3+REiK1K+l06n/sE0u1gF3VQOt2jsXggMy8AJJQmw/Q",
                                 "SStkQIl4AElIGotwAM1kHyokTkVlAACwVw+sC8BAAABcAAqKwIEFJ+yIwOxBxgVwAAg0LI2QGuo4QArcAOy0QBoWwJFp58Hpi/gkyNBFVRVRAMU0gL8NgK7MGMwopQztIVBkGQrIAM8cDxmMQE7kABC8gIRpI0sAwOUeAwXgLByCm+1oHc10iBZdAI/dRT3oQMaQAGQzCprxHV1EmOmV37qyAJW+xmBozs60JggAiKiSFqBkw",
                                 "OBk0AC0DIkIDyN2QGNVANiRA5w9SwzxBZR5mHcAiL8Yj96gY5w0Ro/cWz+P0EWULICVvJIj8dRDnBCJjww/gI1ziQMwxArgMcCjhhoijoJtOUuPBAC5zgCIwYcd2VjOIAA8acCGmNECMAzKkAAsNbNEppgKLKZHEABrqkQAeB3izQDmKIs2Vo6ehWvHcAAvnfPHYRRvGZ6ktUdLTBanFMBiWEDMfAToXdAuLwDhvRVM2ACQAa",
                                 "2OTA9osFvokFhapEgBYYDA3ujTJEDLxASDLkCIyBbOEB9wze7dpok7KMVPKAAKlA5iHQCbnQCQpIdHrAUKyAA9to1CdA7CsW0kOFhHvV2JWMAXUu4HTNGj1uDGKAAgba3B7ElfSUVxyACrUMCu0chQ1IrTin+IxTAZhlGsh6MgKyLADmQADvQASnhApkTK1ibKRWQAvCrjTtwAUXNPgpwAe0DVjWAAir8NOsCAbTxACFH2lMMI6",
                                 "8zcySrPg4gAxtwA2UJAXUzJASQgSkguREYi6xQLhVwfIQSwvpwACHseAk4vAChAiwXPwRyAatSFJmUKnA4c+n0AtjmC9ikx8LSLjDAMA1QHkLYLuB9AxrAmxbiIbp1aPukALZBHjHDdX2VI07BAlKRKsdxeRcABCazlSKD1h8g3H0WLYIFhaNlIvKHSUqhFkUUAhQyE2sRe0oogmqRLcDxAdtSOkVnKAMTACLQAFcbphOAY+j",
                                 "wc3HlZz46ASr+UAIjgGMoUCwKYCqxIjOxYkWrURSg+w7ZUI4xwyM/KtEXwAAtkAMgIAMOUAFRyKxtCAPhgDoqYSEWUH0G+AH3wDMpME/9sy7bFWsuUy0lcNtuUgAykAsEQAEAICIdsM5BMEofEQ8kAHQucFiX8VKswazu0jR+5SF6hTWmVEvGkU4K0APsxAHGjRPVRwECoAFGScUAcDaIRt8iE2QOoK4ioxv1/ZcaQCsasAL/",
                                 "IWPRCQMqQAIFYAFmFAKHqixh+AFmlXjrkgCEDgDzQgHIDNYL8igvdTwpgUnTZFC1BbqqsU0/p8aijjoaoBK1UgBuhM46lnhsd3GnUEaGMjoNwCb+HZCFHeDCBbZP9yURDsAKtRoC8CQAVhPqiJUntcEmHZQAGzACf0V2CBUqeyURkJYcDdgx7QDqseczHQDr09A3uWEBaGEBHwEDBmBjfcUjO9IxjWEqCNYOkuGTziYAGcUV+",
                                 "sMYGwMPUTYCGsAAIVzo+HJVtpgqvNFxCUAAZRW4ckcAHLcLx/FFV9YmfqaTIZBhK5APbsMQxp1OKMJcA+GHBMJt6/KMk3ABJLAAIEABPYBSyLUoecmGPfDsHEUAx5C3j8V4JZAAWtIQOcVXH3CjUnNdDaAAFgB/Xa/zCrhQMhABqSKNJ1VSKrVSKEUCLOD0D4K5MxEAUZICuRMAPQAqS58gF+dAYeb8FCxgRY05JjNUAyAQAT6w",
                                 "VJBxkIzP+Pzoj40f+QE5kIEAADs="
Call TkImagePhoto '2c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNAwhcKI5kaZ4ng65s645q9YbR7Kr2uTCCF+wAQS6lGRqPJBxyeVQynzMnE9j7UKEbKbSWk2mx4NI3zPTBFJa0er3GFAkeB4gMVnqE8Df96Xwsr3ROgFFqWGN7YYeIhnqLgY2OiZBNhTaDBIpIl0N+H",
                                 "JmRLB8bC3OYk6AvcQ2ln6icp62uYnpmspSeELZdelU/ursEVVRWr52SwT4LvXguQKqqzHynxRaMe897sb+h09uE3kza4Cbi40nd5ivlqavZ6IRp1ljOqxczy0HJpo/G93cXxNb9WkbjnTku+9KxqJXF4LgxAhVi6iFxxg9a7SrOwsW2USOMSQw9duwgSuRHDqQ8mSyIq5/JiAphpnOCbeVIUw00PYhmTRWEUvAcPMojAegLID",
                                 "yGhgh5NA1PJDI/xtvisAXSIFgdPL3lriowmyiiPvTqUSw4s97QblP7i60ut7bgypLrii4qu6DwRsKb0928nVntUWU0VdpfC1sXlrx5WLANnw9A0EVocYJkss12QhXK2GTNhmDDYq6oV5qx0uFIMkP9hClrJExBg1VCe7SuzxONhu4gIAEAOw=="
Call TkImagePhoto '2d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNxRBcKI5kaZ4ng65s647q5g30945zDd5tzLe1n8snLBpFxKNSmFw6h5rnKChFRquFHG0n1No2Taw4FB4fPVwOQGFpu99vzNWbNit9ns7A/kyi+VJlRjWEhFiCgE6IiXdXjIeOj4GRS4WWkJJnX2qUm",
                                 "UBcm4ueJXSco5MlNKc3RH+rPD6We689nbSsc4V1P1Rjfpu8sr19tkqlYqK3KMnKJszNJM/QVtM/0tVgxdgl19jdLceYVcLDPK6mZuU/4d/T7Zmy6Nsk5wXvkqrR2vNIAgH8KwIsCJFj17xYswrkA2ivUz1+vwwezAWKYTYO8SzeU7aQ8VaThBYbEtThBCSyKOSMFDTTimQRL1tOThlETt2RjvRkSby5T6VLmXZMigvJrSdDnK",
                                 "+QrlJ6iukop56gZpIqieojq4ywJtIKiCsfrUKrWF3py6g5nUCf1LTpQqhUmMDOxpSHhayQlCKDOrGbl6hbsxABTwyZsS/AhOe87o2rWJPBxjQxJoTscy4Yf0RJCEwAADs="
Call TkImagePhoto '2h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNxRBcKI5kaZ4ng65s647qNsz08Mp1nt9ozLOeGejH8hGPSJExySQum1DXMxr8RGGaqG47420506uYFB4zPcMQQGFpu99vTLZQFZrHPk/Hdr/GqoA/QWmDeHNQdVtpUGV9Yo2OUZCRTZOUSZYviTqLl",
                                 "YeIdhuFPIA0Q5mXJ1YyaaipJYmtn6+Sszi0R0ZouJhzX7w8rsArMVx8LpsFnH6fu4LGNZ29Zpurj7ZXx3fCwynY3cHf4C/c41jm0+i54k3aZuUr1dKeV9XLz53wsDrKOfOqXDboUzfw1a8CBXE5E8hOXRcyDdWZACAggEQeARaECHS3caKvYw87nhuxUKSaZtZMKpmz0J1KHwdVMpTZIuG4PFZKyiwW8EYdED+viVJ0A9qOWh",
                                 "tN/TBag9kIly+YQkViU4S9lIwiPou2TSsRnUJpEvP6kqzJqt3QDlMLjC0vt7jg0pL7im4qu5fwUtIbyS5Yp9T8dR1z9R9VsyukInGpVmpITUrBIAaoGPI9tkGDFu3J90xOa537hB4stt9RhJN5HVs4OonO1l+xziwdMiTs2KEEVixtImMCADs="
Call TkImagePhoto '2s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNAwhcKI5kaZ4ng65s644q4UHgyy2QYLfxbs4gT5BR85V6xqRShFw6jc2n1BVdAmUfbHZKqDpxD51v9qh5uWiYJs0WwhSWuHw+x6y1jSJ72vOIPXtoSGR6Snd7Zz5gFGJSiYFcj5COh5OIlZZpki+LE",
                                 "41Pm4ZShCGhmSk1C0WmpyVkRBysrS9esrOlh263hncRuz5RmL9Ua50MnzuklyK6ihXITrYnrxOFS9ItymzYwyTc3UzC4Dvf4xvl5ujj6q55gewb1BLWvGjGYUnN5+JP2s45+8zRUiNwha+ABVnogwepFr+EKAAIoAdx2oIQ/iqGi9W262HCKvo0cmS2RSTBDapimdy478FKXC9ZMPzVJOTLPmWc2Iy0Rl7JHZ2gUeogsSjFFf",
                                 "eOaToERqhMC4I82vBJgyeXoEUdOIUilVfXJDN3hb01dlbZVmdPpc201lLbSW8bfl0Z991ck3WXxYx4l1xahliDWp1CNSefvgah/pMI054nI36MjmQjGHIEM4hf7JxquEvmYSHzbvv8kbRZCJNj3vGTem9o0612iuaaerZlWLEm7v0hIAEAOw=="
Call TkImagePhoto '3c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQgtcKI5kaZ4ng67iYglsTKiVbN+oiu88q/fAIOcnJLgqsOKGqGzGmM6oCSoN1qi9IyWpxFaDHgZoqLCYz2g0RrN8jL/NHwPmAka+xMdOC1jwuUVER4BwgWyFiF5WEHiHRX99D4SLiJWKlTaDIZc3k",
                                 "H87ekOOTnc9c0Zyo5g7YQ6iq3BQHrBCVHVZko0hrW88n1WCHgGTPmekGgIegwDDdpzORsJ+0rSgqtW119jQ23HaQr9Sz3u5wN/WZseFDevn3Tfj7yvx8inu9dHM0/oz987+JpJFmsOP3jxjOAQ2e1UlHA9emwAmLMfj1AiD8phdlIjVr0SfXh1tDDtUKuQUkmNmmbQnQuVKlqI+BNGkawMgjBFDiTvUSsw/V+aiHOF1IQrOk+",
                                 "m87ZKJA426mEcHSSuqrqebHhB1WXUA8mW/lhq9euQo9qhJsyHRdlSLj209tyVoBjWn0yhZGSXtCv3A16JSb0m73LUX2NDeOVP9CoaTda7YJ4NXwn03uVvlbZexZWYcluHjDhNAbN7QGMdWmZel6qPaFGibY4VllK7s9G+ToX376KXrmtXV17zZmXLEZTQqxb57GwcGcjmplCQjVyv58fOKYQkAADs="
Call TkImagePhoto '3d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdxPgCJ45kaZ4oyqQs+b0w3M7bunlwSO88a/fAoE8jLBpFv+MmxvwokcSndJecWlXR6xT30hWqxybTCtYqud6vwsJuu92YKDNtVv6cy4ERXa966EF8ZmV1WoSFZFlWgoaKW119johXh5NPlXuQR38jm",
                                 "EWMQXgFop6WLFwvHKWmQWAerEeEokV6hUmgPaiaiVq6II0cuoBAtZEjnLBFq8lUkszKzs+t0U/Fg9RCvgPDsdiBTdxGy6GI49Ip5ucn6eol7NLIqt5G1tkxXu8p2uHQveCfu77Mo6VkFpR2O7aRyIewhoAADYMEWMChSUR0cnS8uoir5Vg9ju6y3ANpQtbHHqmM3RhpL8e1K2JSTmFoIqZBO45O5mJJKQuuUDdnEolJcqHPgE",
                                 "XluUhaciBTmgihtpOqjuo5q9KwPtM6QiYwfy6/TrGps58Vsj3NCHtZx2tapi24JpMLiy4ru6bwWtI7ie9Yo3BFgPJLT0wNp8SC7vylFCxScp0Qz0DL66zNt1fWttyF123ipoFXymgcegkdwmE0FkNNa4xDiKVLTEwAADs="
Call TkImagePhoto '3h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdxPgCJ45kaZ4oyqQs+b0w3M7busUfre+tzf9Ali9ILNY0RhFumRQNm9DZM0o9TatJ5pG6xFGvWKMH5FRYzuh0GoMs4ELhqC93G/C62qZtPODDf3xkWGBxVYSFcm1ZeDGJYYF9YYeIeoqUg5ZQkH88f",
                                 "i9wkzuMjaJ2dRyhlyyQpgWpqkBTHrBGYHQ7gSG5X4p+P6MyUK86rJ+GSHhFHpzHI8u0RcPQNNLTPZnWRNWrMLrdvFHAL45UxYLkj5Fx29lW2O0/7PAk8tbPTu9N90HJrvlB5tShWyQOkDFU/wwa23Wn1Yh60wQinFdLQACKQQIs4JDSB6M7jnBmeUzxRORIkopiMKMx5k/LZiVusfTyBt2mhgWFJcQlbqW2nTwZ+fzJ4dm+Tk",
                                 "uGRkPWhYgvSUiKKaXhEJOIpydNTKmalR7QrvjA6oCIkSxFs/PQwlN79dxLcJpoqhxoRJzMWl9nBPyms9yoqfHyEktqNd05mHG4whV7jbEUwWDZZpNsjfI0y4W4YsaC1R8ixUHnejYsEaeX0X5rAjEqkPLe0nijvD4cG4pd0ChubonbSLWOuxNTu6Q9M9hux0qYba6izuTycKddWUSOQmMCADs="
Call TkImagePhoto '3s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQgtcKI5kaZ4ng66jpbEwoXYRGN84Oud8v+6+oHADHMosxlAxyWQtm9DSMyr0QGxTnwuapQatABtR4SqbzxXM6+gQe5M7hoCwWPPqFy8Q7I7h5QB/gU1db4R2hm+FPoJzVIs3jYEPjnCIiY+XmFyaj",
                                 "JSTDpU3fEqdQ41BcnRxppsxYA0ckK49Sx60Q091Qx59nCGkPYKhUUutKLATvqkvw4PMx0JFvbjS0dU5s9gx2ttO1z7UiuCRE6KWTckSy1rkPLHj3kzd8inu9Sb09eKy9zjwniA40ndCXQ0tLfytcKaqRzAiCl+FyfVMBEFvEy1GxKfhRAA7jiwCLOj3AOSPNRlvmdSBSOVKlqU+GNkIY4eoixweFluT7OPCCOfQNWGY59BQF0",
                                 "GZieCHw+AVoxt68rACghrVXzSehpOph+ekBT5XAsGT9GU/s9logsRpku1atRzdxoWrI5FcEzqxQnFW1treNHqNECU2j25OF2H/GT480SqDxIrf5IWKlttijJe33a23WV5nzJVJkC0VeunXjEckc3V4MHW6xzSqws4hFeJrC5BJMHWdZHBRoUx8962VeQPfrW3OepkcmUOlzyToJiNdukUf6IpsuMSeqSQRj9WRCUgAADs="
Call TkImagePhoto '4c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTAxCywmZbKI5kaZ6oCaaLJaRkW70pWMF4ro/r7v+/HnBIVGmKyCRBqGzumM5o7SiN3qAxC4Cmk1G4J2xVuQpsPwqtes2eZbLUsTUewkbIkGf8EfJu/w5gOH4LhDBCMoJyeIuNImKOc5GOkJOMlkiJj3Qlh",
                                 "IAXPp6GHw6benxJdyR2nJg+DIqVrkSIAGatszkrEyOjmQ+KKFClvcBKvjiIZgFca69qhxoCZom2sbJB2KvSy4Xduc/gkuJN2uTJuOfh6kjm7GHp7+jytPH0wvb3Rvox3Vvf7uoERMdp2qcOL7A5O2WhzzeBO5ARkbikwbaIxpJI5FX3kZ8RaqY86vgnEgezVgtK8qAjQ2VIDrY6uiRFSpUITU1wjmzFClW7PDtJ3PKw0mcRm/",
                                 "NgyLhlC9SPpQ2YBrs4Rcszq1NEMCVaEetOr/A2WexzwR8sIInMnolGgCkErhu2OpGrp+0EuB6ZLJsJkW9Yv/sAlxjIj7A+w/cQ01Msj/E7x+wgq5N8jjI5y+Iwg9Oci/Msz65AYxJtibSUvS9Fun3gYSBdJa/j3pXJoqw1p6FsnzwrcCzNqg0Z3pDNAK5CaMIpsFUatTnv3MWdr836ldhPo8Tx0iZo/SjQlYPzFXuuEXdvoKa",
                                 "dgAD5e6b57SqnP5omeASzBAA7"
Call TkImagePhoto '4d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQihtjDsI1kaZ5oqqLMCoZwDLunbId0u3XxR//A4EYnLBqBxKNyWUoyn0cndIrUUK9VrHYn8xWktZvMKB67wNsnjuMZKizwuFyOsZJ4aS14beK1p35eP04dgiWBVIhBaHl6do2NjJBUkpNQlZZMmJlKm",
                                 "3cwhkuKJ4VNjzSjT6kkfCSenCkhoa+wi4+FrbVCOmUoIlq/u6cFMYc3oUJ+PVk/yqBMzrLMbMu+W8G2xsi6g8PcS7TfK+HiKeTlJ+fopuua3u3T8EXq8vTw9rWlru8r2FT+n6p94dfnGDSD3YBE+6NkoaFi7IoAhDKRmJghBOVZ1IfKUaMRAAICeAwSYAGpiiMJzRiZzk6pXCw7WrwRc1+YWDCZrMxmjOEIZ9uSdeHpokzOH0",
                                 "ZRRixqVEnShCVQAoUyNd4qVkedZjVnpVdNmVykfR0hRWnKjGMHph2Hdiy+dW/RxS03V1zdb3e55dW1t1ZfWH85Bc402FLhSYchJY7U9uviPI8pmogs6hnZxuW8kts5hXNPn7SqHhRoAqCnp0dQn2msWmLTHJipWR49+6dYm0I8q8makzKZi2rX4uDoO/VtsGN9kg25FkXJBAA7"
Call TkImagePhoto '4h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQihtjDsI1kaZ5oqqLMCoZwDLunbId0+8p07/8jHXBI9AmLyGTpqGwWmc6oUSOtTq3YXSxIXd1sxC/PBc06cRzPBqCwuN9wOKY76ojM1jK6IAb/+mMqOnYeMB8khCGHSolqV3iQXJGTZZNVlZZRmJlNm",
                                 "5xJniWNi0mjooaGa3QogFt/rXt7JKGfKoomtLVARx12uk9UYhuJH8RExsZkq3wzzLBAsLIsyyiNMaRA1qk5wV8nvVbgu6viv0O55tzpmtTr5+3uP+jx0/Sg8PbK+cD7RPP9qgCmKBcwmyMpBEcIK5BL260iDg+uCBXtjo+KWnDhq3P2Lc02g6mSLfyXTpFEkv0ACAggsEeABd8stpSEqNlMmmk+SJupY6HHRXaw/QjKUaIgan",
                                 "usOfvYQ6kNoRpNEF0KCFo0fSsidhwKC+qSjcMAec0qVl3YYka1jW16Y+1XLYGKGi3F1KxaVllkPgr78GZBEnr9otw3OF9he4fpJY632F3jdY/TRTY3+VdlXZdrZf60mVPnTJ8thaYEVnDpm6MjpZYSeHUTQqRQBj5Tre1ftn1f16XqCt1duk9PoV1ES+tcGsbd3q7dSvmp5lhtXX317GdUsjyCc80uY9FOhqenWofYV/zI0/F",
                                 "wlHOtpC77JMdVsvSb4mUCADs="
Call TkImagePhoto '4s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTAxCywmZbKI5kaZ6oCaaEpbGkC69B5MF4rrfv7v+5FXBIjPWKyKEwydwtm1DWM8qsQW7Tksy3TWWpSRpA8FG4zuh0BXPcLNpgZjb7viTrDHLwaAXcOA8LeGM7g4KBUnBxi1+LVI2OUJCRcoqUkpaXlSyGY",
                                 "4g6nYYhfX88oJ9FokZamZp7eiKTrkpHHbKzKCsTJTWlSb1ccA4igw6wPsV2M8IjfRS+LM4T0KuAEMchDVHaTm3AuLTg263iweVNt+fL6mHk7OvvROnxKu70J/P3I/ns39n2+/glUpRMjyxpEqihQGhjXzVOE7CdknBsWEAf/qr4YRXz4QPAdwxqVPyoL5YAhSVNBFhQgmVKViPqvITpZqPAcrokqABD8h9NEqSaBNUxxYqvgq",
                                 "kiSMRnL5mxH06VeXEX9enENYmabRzlAqXKrlk3SPtjlACwshhDmt2IdqrYhlrVapS7h+shr/eW1Fn68qY+v3l7pgRMj3A8wyAFl0TMjrE6x+cg41T8l3LgmXUxw9PslnNnz0xB57JcmPSsvbFMaxLp6Q+/ob8aQGOIxV7Zs3R13GZLd6zPFAyv7Aj+oFRGUymqSsWhPE/Y5FiRRf8M8VpS6yLa/s4BG0n31D+J8qzXEblnECK",
                                 "3c15ufv3SMXg1r0wAADs="
Call TkImagePhoto '5c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5AdXthgKI5kaZ4kgxKLJaxiW72oWsF4rhPq7v+6HnBIHAmLGxmFhtwcm9CgJkrNPavN23WknDBxXcm3tMUiO46PU2Fpu99vzJTnMWOFjFfLCMn2rXN0DSBdC4U7hQCHNYEyY3Z+kJIhZUgRdpU/iYtQm",
                                 "ZOdgZ9EjpShJJsPjyioDkwPpVKvln+lenimoj5oDiCeuUS3v1FlV5yjqVIhu2oxyEjGK0cCHQGubjtv0RrTihcA1Xy4wL58LNSG58I/5OrY4u1D7PA48ojOd+9F0MP5Ptn8kgZBqjePUUFQByMlXHVOUTqCgqoIDMHN0bcXvv4BakP+KF2vfs1aNdlHYBmsHCR97CMGcmE5Jy1dmnAo80e1OZdqzsQZU+etBsx0psC1h8uFKK",
                                 "SSOWF2JWcRpzCE7GIQFKasp7SitpSx7KhKoGDzaNXGMZYFbcqAfiy78azBtdIuNBT7Nc9cRWOn1klLNYrJZHrTCH0JgtrgnYeVJh67mHHjt49PQBQ6GYxXM5XJ8sLc091ViZ1hcA2Ll0rmoWwVgko9q4qju6rGQfrLOTJk20NxI9admzdh3x91Gz65OLBagrTPqOUb4QO51xcv64B+k67VIxmvmb3BYTlMzdzbht+9ivSu2OW",
                                 "pkkZPXOvneFm7C/4u/jTcicG750cpXV8Uf5iq2PeLXvvpFkxkTtEEHAcCJAAAOw=="
Call TkImagePhoto '5d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQthvfCJo5kaZ5oajLq9r3w0JpxPbMcHM5872+4n3DYCxKPSJIx6arBmEoNdDpcUq8qK3baee0K2pLzKRy/btIttvv5AhSWuHw+x6RjXzU16BH1S2x5SYE/Sx2CI4RcbYVpeo8iYZBYkkyKapWDjHqZk",
                                 "1CdnkmgiZtQl4ADgqMip5ogNDJNkY6hRGwfs7WPfLG6n7R+vWJqwkWOrQW3pbY1iCiryq9I0anGrDooxVPaaCSHvqLA4Eyr4zzl5i3oZZPrM9TO5OKWzZjzVNxX7ukn+/wl/v6NCAju28B7KfIlUajMDUJv9aZF7MYDnitsEKUBeXjcQiEShX8AchQIKxdJJAAEBDhJJMCCYGRYPrvjUWYUmBptrpgXUudNWUDF9ISCq9E1L6",
                                 "iQ0lN6bmQBMzUTmmnKA+oRqxRHMMR4Mae6Y8tIFMU3lOIYnyJJeUW7cRjbnW+pxv06l27dFARJ5hW491/fjmX1ORXSkNPgHlgFb0m857CPwvYgjY18d2Zly5fhZk67+Wdnk5/bXtb2d9Kp0nrOgnH8NPBH18mWlYPctVpHzi0Y/9CNOfdUIrz7HaYtkenRUusmE3UdMiTq1Pme61EGenQv6YtjRFIZuoDLBAA7"
Call TkImagePhoto '5h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQthvfCJo5kaZ5oajLq9r3w0JpxPbNuPO98L+K+oJAHHBqPpCIyV3stk5qnVKicWlXVq9S2yZaaMCHY2fJqkZ1XqKuwuN9wOCZaiK3PVqBHtK+PyTx/gCg4aQOGdxwwiUaGID1meFqRknl0T4IflniOh",
                                 "3iUlVKgoUujIp2MQ6gkiB9roJl9gbE5fDJdl6SNOri6lXq3vqK5tqdqBY6pM8nIx2WXiLaZPrHBhMQnnc5C2q47OGAmHcpH40FK5sJIpuo+7O1E2PBH78vHzJtT1flW3Y9X9Xyk+yRv3pCABq8lHLZQoKcRAQdKkSiNlyl/D7mBIVf+AhatHvsU/evVghk+h95OyoLSUEwwhC0hCggQc0iABRU11UwBbGe8nBx9FvCyMs0do7",
                                 "syIr1BR1YfbX627YBq55kxZyFnTcNS8OqfoOIygR3a1WuTsWHHoAVijmI3tCne/ozKa0S0id4gRZFL44y1uSIzCu1I7O9glocBJ7a6mGljx4+5RpZ8ZWkzwQynUF3ED9PHzHgFwf1WNgjGkaD71RitV9LdMzADhYpdk3ZM2y1xN9S9kHdC37oMA6/0mqwYv9lWk+RRHE3eEeGMT1VejrqxEANHncY8XS3kuGJRfmWcIuuOkKu",
                                 "Wo9gs1V6Yqn6KqQevFDXKo6hXQixds9MQD/5CyTIcHlwMNdNkJ9yUAAA7"
Call TkImagePhoto '5s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5AdXthgKI5kaZ4kg26Wto7tqxId9L14rhPz7v+5HnBIFAmLLAvS6Fo6fcenFBWdLmuepEwJ5VKbVimWceMpWui0uoJp2sLWHkNAWIA39ssyP9cJsWV8AAuCdDqFgw+GJ1VwcI2OcXdPhY+TRIiVT5CRU",
                                 "pydTp91iokOiziZiiCAIaIhmkWwIH12s5egPmNyt7ihbry9P42NHWVOxV0hrK8TpzuCpjhRd7oSxi/VEdcpLtCD3MDCrkwiyMFF4+c76epB4e3JjuaWVt59U+wr2W+b70QNkfLB+zKwX0FfB3fM07JO4JdL3gyJ2pdFB0UH1yaNs/f+DQhHZ8sYWgSwrcjCVrccJtyVEMmgki1xBFhg60HMFSxvuqtJRifBEbVK+IMiblaZKi",
                                 "GRJN2yqiKIiLEiOGPkj+O9Z2yYorCq51CLqTCokVTWAqaJiw3M2mqKke0HZDXUnu0JtydOF9m2LSWy9yeNRAvk3hSSB6zPtYcbJla8eGdjaUMfq9Q5WVqnyij6IqwnNQxmoFk9RX7B9eqSz2QtCPYzGhvdsXHxtR5p1/Psw6gP5i64e2BveL/bBYdTGOVjsoTGipSZ9snevMvnwp6uXOHrt7V1HX2HtjZz1WQzvivdMQd5w8Z",
                                 "XcEV/Yr1W0p0xxWfbPLq++lfwp/+LeJ0YZxOm9XfcXw4IOGB/w0liEwsCrNbYTAkAADs="
Call TkImagePhoto '6c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5ANw/5gKI5kaY7MSSyWoIZs5Z5p9d54TqR67+e8n3AoCpZilBkOOVGWjMToDyqt4qjWqg0LswCcL6YEjNJkz58A5ANQeN/wuCwDUjfQ+J2ZoN6wimtREUB7end+DwtMZCeLX4kqRjGMeURclWiXZQ9Sg",
                                 "1eFJI6LOqKQNKCYeZqppBcgqyuJjw6UR7KjHA6vqCaeloG7MwAeuaxaDcTFxpVBfctWQdGouETUL0Z2wyPWQtynIAJqAUpwOuXf4bOP44C8Q4eEK+KK889T7va/+Zn4+/c53nwEfNJPxMBWtOKd8mLuTaSCm87A++QvC6yKFDF2gqj+Ud4weh/19Ji4cZqaSSFhnfvE0E89Nhw/HARoKkS2ZCKX1BziTRrMjj60KQMq5AtOoj",
                                 "nGgcqG9KFMoU2d5rJzNGoIacJ4TbKyVWHOrzA5CQJ2bQ+Tqr7ekZXaCJlbBrVMxLjpii3Bliwt2L0ZVi8hvAR3TZw0ry5Cox8N99KQrYNNZFb4xmv8oKpVKOKsLtbckLNXz3ZBbxYdmnSZw3FRd85L8p7YGxf7tg669puKuW+/CMydLfXQu35ZUyjdLjhsh7bbwi0Md/fyxM2Jm5Ashfpx08mxn9ZOIjZo757BcxavMfMu0pQ",
                                 "deBBvnUj79JAvEoauu8d8pdFzTVSJXPhDhDSQ/bSQcWUB1h1HuDHQm3PD5OYbWA+9ppaEG1BGTkz66TIWhV/5RFN+UXR1lRl//CYaVR5yd5KApgXIRjjciTBOAgA7"
Call TkImagePhoto '6d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9uhdbKI5kaZ5oyaSc575s+c5dvG7CC8Z872+3n3DYCxKPyJHxRJsNmzDWMkkdTqtY3jWbzbl2he0I6nqSa1INdx3yloEKi3xOp2PULQ97H8ajC38ibmBUgz9LOYQjhliMRXh8kSFiklyUJY6FH4eQM",
                                 "ZlJn2mVo5ejVKWLm42qmAOKqIKsmh2KLSF/sKYpUUCdupZ+A79ZQX+BY3vCQkahbl+gNLUnuc6yQ9W0j206TMlWnYnDSbni2uXA5+hCymvsPtTR0DPSJvDz8txavjHuWf366YjtC/iNYBVyBsOJQMjBm4lqYOzlO4LNlTlP8ZBUrJXpiSEghzLY4RpocBc7jyUXCgiQkkiABamOtVSBR+FMUXmy3ZwW7Na/nb18Cg35E4keTt",
                                 "uexbRGBOI7kmPIHDkDkJ9UIlRt+CpawOkspiiYgc3TTiZOKEBJiNWZVsnWtvWgwl0od25QuylQztTbkm9KvyUZHvVnNm/dWErxsdXKI6sZtIytQn7cpCoPr4otXuwxGEtny3jjhg57eC5gg6cJpg64Ol3rUf9eR+pYmiBkwYWn5qbtA7PGiSRil3a87ipOFsR/JOfZGzhF510n4uaKtbCxk7Vti8Q+utqk7CltyuZjDcDK0SV",
                                 "eJgAAOw=="
Call TkImagePhoto '6h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9uhdbKI5kaZ5oyaSc575s+c5dvLZwrO/8dvfA4O4nLBpHxBNtFlzmUsmjNBidWnXV65UWyo6cria4xvJqpQKmT2Fpu99vjCb0PNt/5AJ5HObxPWVzaR2DAyAihYRTiYY8ZnaQj5Bnkn95OpYDgTyMh",
                                 "0edjnOToyKSpFOmIaBoL54bhbA+okqWPZktdJqyp1t9u7ykeLrAV8K5qi4gia47ywXOm8iKOHy2tVCzKIzJRdsfWHNOJWnMrOXRyOfEQKnr7NnuVu3xQ/Dj3NA9zvkoldc7t7Dp8DYtCMFGNuylIHeGYY959BJG1AJxYj+FFrUh7IL+8YTDKx9FiCuQ6qC6GCbBsQgI8F8sjijxcQOyb6aeYXkqZsT1a6cRAAIC+CwSYMGIQk",
                                 "MlvtqYFF2rpgJ53kRUcNBJFlalXS0lKg+ZbTdtDmQyYytJUatYYvp3QtJBsTH5mDX1lmmzMWbPpntm11tejWXrUauztCArw0r9mhimhbFgaXahIoHnWDIJnVAxN9WclPNQzz5B7yxZFTGn0pFNuCX79DSMwFFRqI0xW0XHwnj1/Zl7G/eSv0dzo8NKA7gJxSpdpxby8rEtSJWVWnY+XXr14dcvZre+XXVvqJVFA2uuF0h0Kee",
                                 "RQyT/6duXJT2Jw+5WPLiyjXSF6waTd7Uz3P36tdVbbSkEtEp5gIUx31ivtebVMKRtlBVzqLnyIEzd8eWLeOt8xOEp7nURVIYmFJUAADs="
Call TkImagePhoto '6s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5ANw/5gKI5kaY7MyVkqyqopEURea984Eed8f+++oDAELFk0vGOrOGz2mM6oDSqNzjqr5SunhCGr4M3V8QEojui0uoL5ysjh+G62WbjrD4HTfsEBxzUEfAwLgwB6OIaFeV5xjiRUj2GRI4p7jD93lXmHm",
                                 "DeKnQ6IJpSSUqWmTqiglomcrW8MgTqaJrBCtyuIAIGoqVMNs76/QXO1xMVfO1Qzs07NSW6AIYaiQdV9WiJ3YxTOKt0T39tI2KMgDWDpXNy8yE3D7+zyk8f0yTzQVfp+9tQT53JgIwQM3JFxJsJJQIjOH6R4wBy6uFcFIsUTFi8akaj+MQS/LOw49qtlDmTCgzkU0iBCzsbAQ9cAegzWMJ+7fTdbmszYUUcvkT2NCGAY9ESABT",
                                 "N53tuxgGhRIsp4yXqKMeoue0D9PIlaptY0KzT7fTDkrCSuCAFJcXxJkAdbmI1OvG376UhanR8+qsSCY+8Dp7Ty/hXsDtoVwCMOv/GgOK7Kb1+fhc0keBHinkD43KXalXM0z/NAUxZdkLQ203G5yNmacnKTyKVbmI0JYfNEFW9t22JzercF3Zt+py7h18FlwhUA+1JseKrNwtBzqm3tXHL12Kg3Zq+6fXr3h9/Bh8eLWnPN7DM",
                                 "sd+7reghsMSsDG4TO+PoN5tEDhfs5Pzk7df+CObOKXQIRyB1uvLmV4IGyoTXEbPBZY5IN7wlRoXwY8pTVD9oJssyGFx324XjprZdde4cc59lRCQAAOw=="
Call TkImagePhoto '7c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNg+ZgKI5kaZrMSSyWoIZs5Z5p9d54TqS6GVOzHoknLBpLxNJvErwtJc3h50itJqvY3jXL3VG8qmckGrYAyKJtdw0IpBXmuHwuy3Ai6/wmyUJCsHg4SQ8cSwuGOoZnD2ghfBdUgXlqRoqIXJRShFZ/g",
                                 "lNKjIsOjaCjopA0n3qrIJmsRTFNrhuWjImhl14Nraqpm5GdIwyyva9GkrPGgMUeyllXC24juUfUKkkexbS2VdapIAIeAUFyOuXf4afRZLtd7Tkp6eNn4qQn3s/a3dyT+kLn+V6905MMHL9qB6/5E4GvR0MpCs2Yi6NQS0F4F3k5E7j+cOORjB4nhhQi71A9MBM7pmToIVYbF8kA3gBYUiOOhzkeMpC2R2WhhLCAbmjpyOdIYT",
                                 "xtHsUUbmmWeXcg2HOaZsqZO0mpVkyTVes3R11/DuMSSyQIosKCfVS7dZs+SWt/vSgYI1sbVLd2NrA7tWdECykBfx26N6pEjIdRfJIbqx7enBccj61oF0JWu2GLYBZZ+UHmF2VXXRHHSa47o4EHnl5Td+/jZacTw8ZEkTbryC9fc2K1WTTqFborBVeM2MEy04Pnsi0Ct60P13on570b/apzTYI9yYboK/vM2sTLDJNsfXrJ4UV",
                                 "19May/rvX3e/Xxpc/n/nv+lHx/7tPlbRgUv0dTOAGSAS0R4WBnTkwoEqN5SYdZOM5WJ4ug3Qkk3KJtRcTeN9tlxZo0FE34U0h8qVccarZh1xUxKBIIHYpbpMVgaFhUaMIzaQH4Ag56rjjWVMskN+PYv1CD5EqjJMAADs="
Call TkImagePhoto '7d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNxeBgKI5kaZ7MuQ1s67bq+M5snG6eK8R873O3n4k2E6I0xqTSFBwSXcYnVNVcWpfVq/aX3Xpxr92mK5LChOYaFfltgwZiEEBhqdvvdwyb5u5X1SQ5cF6CcTxVHoYhhYQtimt9YCyPXmRajJGWgY6Nk",
                                 "1xsPJiXnD6akW2mp5WgMaJXrouDcqwqsEu2bx+zql58Y7S8bl0ewVtZsiW6bcqlrICxM5Q+gjo9qR000j3UpDZs3NrMvUaIyFfiwsCv2X7qVtye6bzoqO5DffSQoey3/N7b/pLAM3ckCj5y9opduaYwCcOGQh5C3KRIIod8VjCCA5L+EMRAbfuiWeuITWQ/k2XEWVxx0ASxECsnXqQUUyYTAQFsbgmw4GIRnc1mCgU6UgZIoi",
                                 "KOYUQ6otyJM72eHXKmMcyoakVjmFGy9Z9WKVzBen1TYuM6rFM9dku5NIpUr0+Y6pNEUC6JY1HbWqlZy2o7N12/8E0mVjBJI2blnYL6167Dw46TQvap9wfjtADRnlw792lhNJ+ZHA4MOu7YVn7fpT7N4/K5t50jZ5UdlHZt25hxs9ZdYrBc3xPRAVfoavg8Ir9KL4NN15DExJvjyZDcOrQP0qKrm3a7vWBmzgJXh5C60nVG5kM",
                                 "58h4vfDLRlzDd64QP3/jxF0BwrjfBMwEAOw=="
Call TkImagePhoto '7h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNxeBgKI5kaZ7MuQ1s67bq+M5snK5zrO88d/cmWg5o+hGPSJKxJHwRmy6bJkmtFpbW7A6r7dJ80xMUBhzXVNyuVyACKCzwuFyOCX/V+GsYFzKTd35nRVMeLIUDbCCHhlaLiDxpR4EfWpFUjol4ljh+P",
                                 "ZNoeyqYjS+ZUnmoSqGpqZsho1WwHS2Hia6fPLgcghuurIBDer/DXB7DWViPii5si6Y7zgXRoH2Uu4Ge2CirJI7MSN60OjdNIx7PscqQoefg39OV3Ei6Vr494Yxq9kftrfKv774BiQZvkAp6MRCOsIdP3cAm6FQ9jJik37pjrPZhBKL+ceNFjxUdCrsnMl3EciNFQXQnhGKbf9c65dJ2LYQvggJJiisozRoYkPMidgSKRkAAol",
                                 "kCLIgZBenHAupKOjUoQurUEsl8biiUiSvLrvmoLQPoZIbLbjnMiq0JQqEYmlhhbvVz1hzdtSYahuWh16rNMO0szlUbkvApqEJE1NKy+GM4ilqzRD482K9KdV71rZqswxvinPXkZpOJTDTfu/HU9K3L0fRDw12GQhOHSnauXwzDZiaye/e2y1Fgx/AsfKFot0HgSjzRd+9w1FSZj2FtFwr1fY8v0aDey/Us54UtG3+Sh/Pvq1R",
                                 "so/+5Hon69u/Xx0c/32Pk+scadyePh3NP9pSd0UYKeChht512wgWmzk3T8dYgXmiZwd13D0bHhHIHKccLgBEGV4pOHoIG1TO5YQbebCaWtCGH7dk1XoslGDMXezDKEAwARtXIg1IJAAA7"
Call TkImagePhoto '7s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNg+ZgKI5kaZrMuVmfGrJuSnhQ4N54vrZ6CfcoHnBIHMlOP10yWGw6d8/o8CitbmgPG4HqswCXXasYBNCSFay0el3BtCJjMXUhBNEvzztDkKNizXoAC4F8OYSCD4VMY4RxXE2HjVKPJpKQiX11IpGYh",
                                 "omIDophcaQvmqVyp3afljecoR0NZluqI61Et2SCuqhRcFC9pZQewU9cC7MiHslOyz1+lIGwQ9J4MXVCWBTMJ9oT3KYb1aIcDVbmStllUc6klJcS5Ma1Pd4S4FP0TeiO+srrVdplcjVBHo5qe268A2EvAj4SDWuoWNjFXyaLvIr107j+kWMqj0UEArt4LlqEQhSvsHg4ImKWFyJSckC4i1pBIwBH4hD5hGcID+RkgiSRM+NQXw",
                                 "JYHr0RYEE5CAaXEn2jqKhUJJqsXl1EhiXGPl/URZ0hS8qfdKtOjYPX6ZoLmgl7wK2JVcXcuAdZjH36s6hLB0r7WlB6xJsZGjacIQayWDGDwDIaMjvLruxAlYO0fkE1x1pIy2OEyj0Z+uvbNiWr3KU7L+DKKqJ3PiabeDZs0zkol94sJ6wO3c1AK8S4tkhxt3ZRj6awl++J1c036Z2o769wF9ZtczXReN3ierMda45pGngT89S",
                                 "37sOt3mj7Z+zf05Lvmz5a+7Y8z8ffN7NXmdgqaRecgAG+tF834XlHIFMJ1paTYc5x91puE6qUjEzQ6ZBhXckxB8Rc0R3YYVs2QTWVKACStSAR6M1kVYorhIYgefz9g1ONDLXglE78VVNOUjh2I0ACADs="
Call TkImagePhoto '8c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQgtcKI5kaZ4ngxKLJaxiW72oWsF4rhPqfsoUmq/UGxqPpqIJOBHimBInUYOsWnnUK8sCkFaV2vDmBiZBI17UGZIWlcViDwPEASi4+Lx+luHIP3CBY1QLdB1dbhBXETpKDxxMC5E7kV0PbSFKMpg4j",
                                 "IJvR5WTYaBTj1aenVlLl5YOnGatoymrVqKXYqVfikibmbWxr64XlLK4gw2/jby7p5AAhh40uoJGf3N1wNXbRd3a20c9hX6IIbO9x6ohf4bm6eivy+YeAUJ5O/c1GgLSF9BeyXJRI6GC378u9GCxivfpm613AgVyichtIBKLzxhWObf+AuMGjkZA0uqIB19JfT4CkvKYDZzKhhItUAwkcpHDjRBzGKyH8B+WlCxhvPzYj0GhFw",
                                 "Pz5VC60wnLmsU0rgPUUmfOIRzHbZA2CNzKqj+9ekUodhvPqdjKospidMtNtUKzcNUK10gRegHoBSt3xZe8LUIkJXJ2kVlccg7aIXNgkzBJGDLYEfMR+cNklPomLtM8EjG0bJxVhZ7y6+WmhJd1nD7Y9vG1B4rZhZEt73XiUKnhgNHbjDHMho6/iqk8J/famDeEa1FqE85qnq2VB6L922r0h9cPLzUcjjtm0b57D/3+w3Lx7E/",
                                 "MQzNO8C2W0SThj0h6crv8RJAvoEaf3+iQfr6d5UCdFQNqJ0iBM2nxnF/SrXWfXe5tJlOD2K13HoDNAReebhEOkcoRvIFFE3s42AZIUAiCSJVnEIBg0YIkqqEfawASRt+Dpkx4SFpdZaYjeMkFWN6Ffyi0l2T8zdfhYuN56N1rhrD0YXeOCfZROUExWGEaeIUYVF1TvUDXl2AOIqY3ZVqzIg/8pKlFPQkAADs="
Call TkImagePhoto '8d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdhvdcKI5kaZ4ng25f6w4r+c6xugmuEO98z9m+0+wVRAGLyGTpaBq6is5WTaOsWgtMa/RzDWW74FvuR0VtQcEzbPUNg58/hWVOr9cxZVxL5+5jy2gdayJ6A3xXhYc7TDiKhB+OSok+bYiQfhuVVpOYm",
                                 "iSclh6RRmU7oJuXPZ6SqX6rSaduryGxrKImjSKzHLWwrSGBgbuYpmOZpcTJQMGDyVbLg4EjzW9FR7WFe1XZv6Q83Le2xlO849N+1IvIuV3psshd4Iau8KHmYMNQzvks6Nb1JeSN6iGQx66C4rSp09fHHRuA1ZRBTNitC78YCN85c1j+hB0Zhm44cjt0cMbAbyYNTnz04mSxliNOXeSohCOzj86u3DyWc5+AAD0xBVhAq2LQIN",
                                 "A4SDuKNE80l0y9iVEYtanSaA65hNGqyinVcl99hZW6YksSs+RioIUSZaEIkfeQjOxaNJyMpVrwPmQxpKpVsPP8/gX2Ri++lWKNXrlopq3GkI7DMF4xl14yrpYFW0Ss2W0PzDoNp+AM2C5FqLpIr00TmWxjJ2dbjyYYt2NtE/xA56W5hHRn17+RTFYrerFvH5X7DC+xenND2cYxJX+MSffZEcuPyjwuGPYf1rzB4/o1bHpi02+",
                                 "xq4bOoznu9d7ZxgeOwrzcuMlzF5fPHCsazuD1jZNdTzgoRRJ33fnHE4CUkfcTg0UMlQAAOw=="
Call TkImagePhoto '8h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdhvdcKI5kaZ4ng25f6w4r+c6xyr5xru+czZ8z3C+lGRqPxFjQNVy2akWkdOqb3pwway+q7Ypom6oJC/qRsyixd83sKSzwuFyOiQpcgrU+HC13smd+OYFoJjZ3HogDeSGKiVaOiztqSIRelJB4ewWYI",
                                 "ZY7n0k6kYxSpJNcXqd7nU2Bl6koq6aajR+KjK1XZDyffn66mz+zwcJaPr+FxlLIaH6OedBD0tIrVbgcoYOvabElkS2lw0viokskd+VT6T9i7EbU4WvFOtpU3rRB6vfG75vF8W5Nk1et2wp7B7mJWgFOIDxyOejZ2ofEnw6JAykew1f+EeI8jq7OwFoT8NHDchg3WMy07xwnkLb0HWlo0hrMPyJBKcS2JUZJSeMEFkzWc5kVon",
                                 "yMLgMgIIDSTQEWxAT6FEmzbMqq8vBxJ5tGrTY5zCqAqFTZmTXPQsHKliyOF1/Rva21cBVCFHdFBKNJNwdfeQYZYon7bfBalZJWNiQsawbjpDiFTH3s0+HFIotLZD065JrloGZrdlGz2e9cwBu95DWSsjEZyoe7/KWaWk9mPa1Hff64rPTom4ipqh0oXPRCE+AiGxfMBG5YvAq35Txe+DWP2ctHADQc1GPgys47ho9tOvtD84a",
                                 "Aj/BdqbP6I+yt5C5Pm7dtx6ze05c5UvZmGdjPabGae6qcthso2ulXXmj17cATZL3sUdptKT24zoEuSXQbWuMhFg1V2zkBYHDeUSeXdQ7+F+AY0SnBDTE3JdcheE+Eh9RLC4qFHnMMigMjWA95VRSQvTiDxnxAWsiUU0RaEVUCADs="
Call TkImagePhoto '8s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQgtcKI5kaZ4ng26Wto7tq3YR+N54Tsx6avUoHnBILAlNsV4y6Co6n0fo7xmKUq8cD8RmhU11Sx92TNICbCxFa81uVzBNMwNNJs8WaI9AtHDsn30XOUJmaIEMC4cAfziKiQ+MSE1kjnUsk4CQi5BjX",
                                 "SWVmX6DmCSOm6I5pqBiWKqcWJ5Oq3akI66ojZqrhVW1JrNEwHhZi5eWdXJnHLHHtMtNzM1gLsMbemXKYx50N4QffBOROoq4TDAiyRLcK+k1K3cR4pe+RA1KmNtX+c3RPeSCzrC029KJHhV7/AyW2Ccw26gb/xAFC9dNIQ0L61AMfJD+UUQ/jx9xIHyY0GKRkC82Oug4BCVEigGPMXQyc4dJkDdFWvn3J5rKbzl+zvHo5aUEeb",
                                 "mOogNqTEfNJ08JVKPRM6e0d9CyXt26iOVWqAtC8Poq5dmePmSd8Lg2NS2QtWcCRGVhyeqzDYk45F06VB/TisRWgoOANFU8nS8iAhz3RoZFxeUStyjcaykdoQ5vYPba9CJTLSDygQYyWnRfc54F881M869jYo84d7sqJBBlHGPr2jX6KuYVyMUKjgEuEdbuE5uFaxtqmnVZma6Vg6n71m5uqNFRSyYs6zDgFcBv/2qMFfxkxhb",
                                 "E22TXQvZqCrL7lVY2usf80KdZ4c4+5PqCa+j5+UbFfRe5R5JfGElHBXHBXeGSeRSoN40lPOnWjH9A2FaZNMeNoMcmaLiEIREYtsOFSQTW5xRz9J2WTIgWJRdUe2KxFg2DEoaAY3kQwoSej/r1GJk/3gXGlIj8kRbdXlIF9+AO1C0UF0NPumVNMVNVaaVEaHVmpX1/dfWlQAIkAAA7"
Call TkImagePhoto '9c', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNBNdbKI5kaZ4oyaTEYnms6FYwulZxru/Eqkc8E/AHsll8xCMLGSzNKLWmqng6MmNWqlCbGkpDXiz3SzZOeuPRcxKNrSXt0rVMr4JcYEV2z+9fMiEBD3F1hSJzBIJxYV+MXVQPIWsLkzyTAJWPMheGn",
                                 "XJpag2CDKOYTTOlpYRTPKlmDiiuO4ixoiSXmSKyRG6ivh2nvwCqYp7GkpxgoMgOlIOWg5jPHw2Hy1ORdI4LAZ/HxmvdH9/krOPn5XVMo6O302W5xcrDJvFf9pqSggE1WTz+mgQoujBsEa1GB+202EeJYTpt19wBKzRjlcIksCBmy5H+kJqFf1aWRGxxgWGyTc0kYjI5MR+4d546glRiSCbJDixNfUpTMadFayJpYsThUsxGMo",
                                 "6MQGtJpyLIh/BMCiyIJki1TldlDOxAVSbAoRT0UVW2A1+wlCVKAdVhNgg+UqTWQkVaBInNuVJW4jXGj8quvU3s3qEHOHDdw4UNB4Lg5GRTx/JUiLN2FGHlog4mU85YJunFFKiE/TwRGi7Tz3aEcgxZdNfX1aq3bKbSsyDkHLX7npZdCoLmRLYK/S3W+8HvxEWBH0cemXnnkcxun5WOOihnupeVsoV5j3vyxi+W0hBpnSjYM99",
                                 "VcsXnNFQzaWi1z+roeZ5V6Pezq8OPWxilMaz8lRdWTQE+Ettz+dVTkm27UXMfC7h4N9xNBLUlV2ofzXegOSi8EcFo6rFB3nbxkWGhN+ftp59sJFInXoPVOZdXgcztM8JdNU7QDY4bTPjFcMVlVhWEC+qmk3hTGRnFUV6xdp4Ei8VFloEZPlnflKD552KHWsJ4I39XpkhCbxcKSCM21/WYBo8UgtgiIb5hKaNLgs0ZgyLosJmj",
                                 "lBwIZKcU/CQAADs="
Call TkImagePhoto '9d', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9xi7dJ45kaZ7oyaRc574uW8J0yK6bAAty7/8f3C8GTBF/QpnuxSuSlq5mL+kk1WhVlcYH7Uizhe7ge9sObeDR0UdNu09iaXt2fTnr9vJ7j0KjAQoWgoOEhBhmcXyKJHM6ZDlRfFCPKVSOcJF7k0Bzi",
                                 "54jnVZ4WXgeMqFum58FqGmqn60fpaSjp2aruEG3Splvr09joLssv669IpeMw7lZiRuxzG5CfqbRaUliJ9WK22y3xx9iXsY0lCbQkOXkO97h7Cbde/G2I8nW0sv3e+jp4FXOU/KJqkOLID0ga/r0SHhwkbhgnvj9eGjumkBtaIwszBj+cKPBO7X0cHm3blw7fbAuouRFRqKsT/P6mWSlElmNij0onuSlDoxOYBldcoCJ8ZjQlS",
                                 "1kVTuKFAUAAQGa7gmwwOZMqTupYUViRuvWjjI5ftUCLybDNGcrffMXhqRPtyJZzKoyN66RkEXqqrWCiYkvuHvdXVUjFm3hwB/HkhUMUXFgETEdK5Nc5WhkMJcXjxz8lvNjYjdLsj1XE0SpzGX1agbds1losJsbpxq92gfqFrdBOGHKmrZFT6rf8C56JWJpJwAXWfa4cPdxxjiBFLOb4qfr1tRT47V9umFvv50B1+4dfaLvEsu",
                                 "BO6e8nr1CYe5N/Bp+z6DQtAX7ypaY/Do07XjoBMddYk4dJ6BHxXn3nWz+edaFCPcdlh8dpMU3UC/01VfNH89t5RVNFgK1H1QhskBVAgA7"
Call TkImagePhoto '9h', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9xi7dJ45kaZ7oyaRc574uW8J0yK4tLO98/+EoAQ0EE/iEOpoxBWQhiz7S87WUNaOzmg6r0uymrioX3BEzvcGh8qiGnrlwbu2HRmm3vvvLWo/7WTZEPwoWhYaHhxhoYGZ/jiVXG0JLeng7lXtvBU+cI",
                                 "4yOnzyRj6Q3fSVkNY0pqWuaeSaYMTNYo4BObna1p1Kyq2mYvyK2pcUkxKi5caEfnGEbyDmYebIemwOr0cZjudrbpUCBgd+PTWDNVNfPUVNG7Xwi69KV1LKmX3fCuFr6w153yfqxwxblyiRyxrypq4JE4ImG6AjCS1HNGo+K9/blw9L+Sh4KhRElekr3rlcZHyBlYCSVEh+/hLyAiXw400SnHt46nhyox6G2lRerZdzHcCdHox",
                                 "AnIiR10N9Ahz2ajgBYQGFHqMleKj0B9JLQkE41EizJ5hlZZS2XcrUYKK1alAICvP0WYIGIm3PjhGNrMe+uD+L6+kW5aEjEojWjIjX6aqo1MkTSKU6izEQTyZGn9ehqOeZdX2UrCcwp+mhPpQelSlLlJxVWHFQ/M27tcaLrWNsE7zBXezDOU7p9/xYOzrPsk2QnI8f80fg8PfU0Nwf0Nai9xmvpRbmOnaZW06y3ik288HDW3tP",
                                 "ZrILsaiRWOqU4+3HrvTRL5zw3Ft92G+aNU40CqbYbfsfNRgsrlXVnk37gtacgCdxtJl16dlTnVYSdUYehhhNmKJY7zPHwTnJdEHefiVjoRp9veFVFIIS5LehKSy3SZiBVIPUHh46rgVgFaafl9x2F9QUpImgPxmOhStVNEZZMMTgoA3tujPMkgiIlZRpiYrS3ol+BwYeiV4BZ9KVfLQIQ15hx1JUAADs="
Call TkImagePhoto '9s', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNBNdbKI5kaZ4oyaRfxZYWmK5EEAVvru8fbzM43ukHCOpoKCLFmFNOmCakMGqZoqQmpwTK0t5Y2G6Da62NeeGyOuUNplVVYez1Xtvhm4UMoIj5/4AVGDJOHneHJ2k2hiJ6F3eOHTtSREaRAAuXjDmam",
                                 "A+bVIiikzIolxCgnIJ0pS+Vpp9JZ6Q+s42fng6pr7Qsp7FCv7qso8VgrSWdmjzKwGZAInXJzmrLIwtk0sZWl0ba26JI4sjgapRAbzZkaupypbYhwphl8qmhI61eEOtDMfwhNH7ZazCKIJp8RcoVJAfGGMMZD0kIXDMxxzd5w3ZgfAT+0RW0dj/WtSsR0gyOkseK1Sv2bYe+B//ceUwIEhqMdB9p2uyYYqMkjTHs4Yt4LYJQHR",
                                 "WJyXE4paVCHSMBEr059SC5it9eOohJQis8AsicruQ2YZfBHrW4pqWCEu3TNeOkvi2HSe1cIQEWiOB1t0xcAtj6+t1DWLAVJFoSMZUJgwxfO4+VtkhYFBVFo0eqbjwKiwJnuT2DMhPNM0TUZxXsmvaXcoMTIyVrUq6l8+TOKyDadP3KjnfpRZ5UG45WytHn4feQ33G6d/ah0xarxqNGj3rp0BKOnxjbGqILd9+vZ2HtkjxuX7i",
                                 "sqTDRLON5q2JuU5FO3FjScPRVeV4oyueYPETMzZQafuCNV9sz65yVGXq65MJRc/IBlp51eLBhXhMXJodbeKRwmIh03AVTVnRAuVcNhR/i5dwd0EmmHFz5vWhcfS9imMlsAaImnIUR6gZWVbHptCKGB7b1GmiyWLCjV7dBdxFpSEGZIoMjirhfd1SaOMV9rjlAI1S+WRFZlxoesRhVtuSI3F8/1mijW2oi91hdbpaRVwIAOw=="
Call TkImagePhoto 'ac', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQCCBxo1kaZ5oijJq675wyVZxbZ/sre9pzv9AH5CwsAiGHCFy+VIynysRdElzTq8bK5bnAUk7Cot4TCZjvtktNKfUqmvCxxspLAKO8yA6z3T/Ild+NnYMC4R3fXt8dIqLMHZ4WY2OLnJJk5RRJGyYm",
                                 "Sp7gp4xbaGiMlKApk0aDpelpnUhAZGqLSwCIZAetLUmt7KGwL09ncPExjqvyJvFOoe8VM03z4HSq2KJWw3a1suX3nDd4MqeuLt3wuSZ5rqzHeKi5u7f4K6o2+qeqe/1vqT9TXABVDFrz4eBI5TIQkhvQ4gOBxH6eJglIsAcISBYrMeXImNEjwPzLROJTEjGLgzjtEqp4aTGkC0nbPSmECVLhsdw4oA3kmdJn8ZIBgXaAhIWoZ",
                                 "8gVKtmaQ1RE3ZOnoT25ykzbNESYWX0BBKwC0+QEmwwM6tOf2fRpmW2lm3bhm/FLlqY0Koalw8+yL0rkx/LbXABSq37NvDavVtAOmSg1y7fl34HUoRouN5Dm5ER0q3cbya6wrMSAAA7"
Call TkImagePhoto 'ad', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdhijCwI1kaZ5omjJq675wyW7hYHtxrq/a7v88oHC4mRE3t6RSdCz2mtCXMUpFTavH2u3jxHplzy8RFxoBFJa0er3GhJHi6MxGoseF1xD3PrzyoX5/R4FZW16ERFp7VIiCQI2OPpCRKXokk5R1TBx2m",
                                 "Jkmmxyeny1XN6Q5RkuhqEFJnKetQbI/Rlo2i7QmeTi6KqO+Zm/BLsDEBcY6rIzDiau5g81Dt4bMYsty0scnycHdvt+UlsLbJNR74bTpd69Ip+t8q6LaxLHz5VICAfgqAQsl0PDxCrhtSple/JA9KYOEoLce1HAlZFFjT0V+8FBlJOWBB1s5g9Um9lhlR2AYRQm71El5jyU3eik3fpKZiSYlm5FwOtIJy2M0LOew4CRpr8lQoj",
                                 "5rwfwRtApPd0n7LMU41aTLl1d3Vf24tWDXY0+rLAsLBWVLfERVJjSrNuXYr8TIxpEr5CINiXTrPmtbjmEHdHAzHVyU11muwolk6Ms6wl8CADs="
Call TkImagePhoto 'ah', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJRdhijCwI1kaZ5omjJq675wyW5DbYtxrqPz7v88DXBILPSKnZvShuQcm9DWM0o1TavEJc4oxHpH1+/PA9oaFZa0er3GdDlmcXFWI9Xlw1motifjgWF/c2+CUIE7WomGhE19fFiHhT+RkjuUlSV9mhuXm",
                                 "CN3cDidniVxXKRIT0yoMT1arC8sN6GgsCejtlZCiaa5YIQhH74quMNOjMZSyMkryz+OH9BRxSq8S4tUjkrC2F7BX9TG4cPjvuWV37/Mdoqn67HOubM0TOeCr5zxxqvH77ECAfypCLAgk0AST9IddLchRAduAns4pAHxnR4tFZmx2MOUjWNEfQftwZJIRqE/Ou1OCtH26OOITQun9LII0uXCIDdx5tS1k2dPhDVzeGzYshsSlk",
                                 "luZAQU9IU1JUaLsMQYVerTpUyrTMWap6kOmFVEVhMjFlVZUmc9pcW0tlJbSW+9mIqbzQZEuo2oMnzHK9/Cbwrx4hEsh/CQoWXIGD6sdzFjONwcP/bj96bJvQczAgD4kwPBBAA7"
Call TkImagePhoto 'as', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5BNQCCBxo1kaZ5oijJq675wyYLRF4+hY9/uzJc5S2P3G/lgi0jnsdSwKALeURUUWidE1VSVrESbsy40ti3isOaVKM12VYebcnsOk9PvnU/IqLj6/4AXGTJ4hSYzU3aGZkdBWUUhj3iKP28QkmmUVIGXm",
                                 "WsuYhBNS2BPXmSfWn5vlhV1qUiOXxxKIwKyRZqLk7C7bY5Gvb65qYjCw5kyx8h3ibrMLz610J5gtA3UjLDLUshhEbOVcLtTkWytmGzPL62dzdxunB5t6yShALMXHEml+j/1BO5hY8Fvn6kJ4XrACybPD6pXDf+8QnIlChOBEhKmAEj+Q8KOULPazbvBMZ67QiVRiNTBK9uvkddcFhH4JaVMWspuksQWZ+BCnSSm2bzJMyZQOv",
                                 "jSHYURYAGQpVJSmYM6kcMemFRVWV2DNeuJGei8btSQY0dZsV9/og2qdq3RrUpjLNDYcgMrNl3oIhURVltRQz5CzO0qF9yiI3nNiIz7r20LjA/0Eruz8gHjqucCXW4xtKO8zWrMQAYkmbPjDQL7jToIoXToG+1U++zHcifsCaudMKkAumeMlbP4tb5W4+GL0RGHR1ObXOJyiM2FYG5RmSWT6uMUorJgg4lnV9NNogkY2S5v2zz",
                                 "6mq+93nLjRTQPn1Y4rS7l8/bdPtdfIvE7W/7mDbZDZ9D0RWCB7vkGIAlT/bfgaw+O9eBZ631wIDIGznfTHnEMqOGGThBxIYJZjFigDLdEqJIACQAAOw=="
Call TkImagePhoto 'jc', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNCetgKI5kaW6fCQSsxgWL1QRiMIdu+VlCn8MwV+MlABZpIRsSlCOldKyoR8mI2jypnY8A69EevcXp6QzvdlbGwraIObhhW5W9VTVHADMk7dOsWlhuaWB1OncieT4tVXFYDm0reXOAQ2qFToc4ekNdR",
                                 "R5bWWhRVZFcaWOZTDUrNUZAHEOfryibE1hjSTe5MmpLU4B2J8LDxHiZAAq8ysvMERiHcr7F09Q4OaGweEdHrt1GxKkdZA+wZiBBZ36uni8TS+GwTW4C5XWdVOIs25UewvAo/6bUiRRtlCMuid5Y+fLokrEx5mhI/LOoiCQ1K8SgWCj+J5FGQxD7UDRIi82FjJOUcFnpMSAZbSI/LHSUkKG6UQSFeHHp0l+/C/qAbczohVahee",
                                 "J6bui4p8O6K5V6MTEHMBZAXMOKcNMadKu+VNeEhK1GtixCVkwCml077OVVtnBRIVIbdy2ZaPmO5dHnJYzWvtN4drAIo97HLm6XcmWX1mq2YBbnoaS6NMhjxa6curuMiQDhNkra2APs5wkQvomdyLWjkVTBRTjBaMCJ6GNnFSaHvpYT75MbOEUJ2X7I2k2kGaOgmjQO3JNwwSoithtk6SI5BxxbrtYh/csgc/zynfJD+TZ3UL9",
                                 "IZquk55RE38Pnhlyz8I2zhMhbLPlSnvj+eeOzNfKIJMqNhF1DqSU1Hzn3OAJKWIPg80kpwUSnlxTWYQcbTlTolGBvKhRjSRSM8fMXEi19tldGt4S41GZEZHbZXr6kaBJGhX2IgjWOxciVMUUZ9dFnCrpIzF9IIvnVMVe0g9ZbdUWZlnxSVgllkVZmqYk0WlppWWN0demPXmLWlZiOZYJDZppsPZEHlM3EScF2TL0D1jZd5fkNON",
                                 "s5IZRi9HGUHT0gEKlKhYbo4lkMIzw1V4/9IHrWk9W9sGQ6cMi4QWQnFbajpOQA5NCXkWL2Yzy2fAoSUw/IUYgR1zi1mC8qGlpqZ6weiJGlpJ7DFWKFXoBDnwjVuGumO+H+YASAdEH3XwppLDJJS6WdBZKkeKwUDxVddMTbLZKY4lwTCRGLyFuuEdWkWPBp0Bc9z5k7bLhYcLvTGQj5NdtpNGmH7bnh5sSIRX4E4pcYQdlkSXz",
                                 "WLBhBtwRGcvAW7/bbH5XPPqZuihNvkfAfPlzccHSKrOTdTh1PnAVfo4g8JclrmAwcHWtc8+1GXvDm77XPzlYvypUYBGGypbmMZRl9/ARxrBSVRuC9LO1sHtJizJHstja31K3MNDtLNUU5i5XywRtzLbV/X4edMHwqmwGxqmdj/PUbFXukLxVr3AuB0SD2zAm/didd2tI5TXgr2jABKC4LbLOSDsQd0lLwv5q1xOTuX+22KATk",
                                 "x6Er71S2yXSE4aF4u1PkLxwuN+JpMWRwoBqOJKpDq587ZkNAHKIuO9ZpJg2ahyAlTs6nbsm45KRI4LqRtYYmq6al7lViH7neADyqEjxffPSMGeXmG32rtumNT2v/SlS9HO+baYq2qAOPiTk6Vw9OQjry+4U6H6yggiby+5+sG9aRTvOrAn7FP3UKnzHkxEDwtegjaGKTvCIoQZ4drYLUOFOYMAimLXGwLjBIAAA7"
Call TkImagePhoto 'jd', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNyxhdKI5kaZ4bgzKBaTmlMAihdqqb/H10AQQCWrDVARoFxELgtzGiODZXtPRbNBmLZcNn4S6w3xRySsK5Aks04Lt+ZFm/eFqjArPHK/Ko+lNz4w9LQ0GADlp0aIJLeStAF4R0iHKTcWxYF32ZjDeOK",
                                 "Wt3dV2GbUw+eDd6IqkkTkqlSkixSU1BBUM2Ojs9XCshMruqL2YjWptPx8jJGx97CsLP0NERGHo6wMrY2VBRzB4gKSVoSOLkRuZjsy7GOTMdl+5FsniJSuS+OzxQ62WdIefiTIDREDQE1b49LLgcuqRljsNJphwE+XJKSqMsatgcCfX+ZtKiOoTeVKSyyp0jQZ8i+XhYiaMRTInWLDLIiSKkdx5zNiTVoNihg8FOACHUQqCrcU",
                                 "jTmZpp8QaHXPni0aNX5cisKaQ6/KpRUt+TNEn/mTNHhUO3bry0qc1mLejat3DThkAbt26ZVHTt6t2mNSo4E+KGDBV8S6k6mlKs3LXK6potfO3+Nn2Mr8c7NEqkyoJHy/BWzpPZAeOjJzBjTy2KDjVcA2iNfu4iJJo9G+QWfyPvXpTQEQYdH3+0WMKoqKunRpgZugH08KGXMBKZksxDnKcjicxz8roU3bhcKicz9oSOZWj2hSk",
                                 "xyvQ+jJ/6BTfh7By0pTzMjNJ111yuUif+HEvrMSQee+xdxxF0zVGC0ihhxOSaSdUNB0cdwEXCIG/5IXSRUpgoRBttEqiSm4ZOCTVIZsV0Fss4wYz0GV8lPhUZbklMYRUSRdQTES6Q7dLeHjJWJgKOxMjyIxRhIFYWMmAhNVFgLB7Gzozf7bVXXsdZqSWWVWrpJZKsfakXbGbtIKZdR3J5pjZpfrMmXG2+GZcZZ7kpzZ0UGAOVj4",
                                 "CJFZaRYaryIBSB1vPhoYG66VVodxFJzHisrTFCLqMdpKgXJd3YQn0sOOoNZN0Q2Jdf71yhWSuSoRoklaJ+CuofpXiqqTs9qNrBpcApSek28L3CwaxF0tOLkstwpVg88jj+4phpnpYxqCfH/jpRSrNNNA6IJd3GKELRzhFKTx9CYIW2Oz6LKXq9fQsBrOMS1VKrifW0HHoSeEuIKV8saK4Nm6bbRkPJykPHvY9kRSyQf/SKbiE",
                                 "JfmRHfUluK6gKKLmLHcA39vdcr/CSpFjFVc0r7xzbwWSwxMby20YWY7jR0Uac/lvuwS2qrPA0K2ZnoYAzoxybFQNyOl/OEIBMxMnToQI0T+y+VAmAISssxpFcUfduKCtRcnWnRk/dcaOfQLddwPMFkh4TFNKccsI3ZZ3gf2ZzbMPX3KYEUruaGrl1S5nl6jOvgBAMibcVLCgvd/v++/TAvoUY9+N01xwb44GfhNu4HLRSHVse",
                                 "2fZBm7W1hVRQDREnLWU4K2Lmi0zyNNtzsVXH2Ket0p5WxMpm7Arj6bCL0Eq3ycZzxRagmtmloKsu66iNwROKZO66bF5i8XQ5bSEstovYHq6aL0oZlU+tYn2Y1+0rAq5FIHqoUJG3dgxYfpYTpbNTkkognvjDsMw3aHUv5zFc8t//UBBA7wzQBAU8oDbwIaJCKTAZQEgAADs="
Call TkImagePhoto 'jh', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJTNyxhdKI5kaZ4bgwKBVgDCwllPJ3zD/Qmda6obnDDVSsk4AUFyqSwsAimUyFcC/oozVqEV68YgXdjCRX2pyiNr9SJuNQJQJKPljm/gjHBPTeKn1TAaYkBncEWEgy9HKX5TaI5UYmNwHXUsc5Vuc19jj",
                                 "SGePWZlZINhD15hUG49WD+Pn1KwWzBbSrZLPUeXQUIfWSs2ODo5ezRWiS+ta7HMzc6+UwrG09TVERhoOjzO3N2OHNDQL1WUhltbquiqr2krLsPwioGcLkz2InbgvSChJ6AzymoluXWLRT4IaQwJcufuTT48b86lUwVxjh2E7H75i/T+JWGcBncCGon0j1HDXI8MMqonUtEiMwz9iQIZ0oG5iRJtPtRUEqZMgy0RIqFDcCAuVh",
                                 "lNyuywj18lfEWbyKMnA54wpT+YabmJTmK5llF4icXqrawzbd/Mql3rM4Q4tnD7PHobt67GDWgBknmp8s7TOz37uQKWTh6SqB+hlGn6NqlPxiB2ufRh71YfETe2yRocTHMyNAOVVD4YeFxYzldAe1lCx5DrQYGKSXbc8xKQilouoDKlQSHN16ZRV+H0pW/NOT5sG0eH6PSyjXolpbKjiTqX3SRpa+coqPgZQd9ndoydRfvJGTJ",
                                 "ghwf5PU96vrW358JOCTCmmtglt32e1af+xUxvJFfdTu4t0BF0P7m2ElCi7MbbLA6tBNYewHxG00iDuPYaHLZ0kQ8R5i0V3EZUjBbah5919gltI2Q2BQmjSTUZiB4wRtZl+jQFCxYxXnREOiH2F8t95yAxFHc0cpDXjXbVRReTTcL15H5RVpkLilY2mQQaQ2QJVyNTeukNmE6JqRaZZrJlRThOWeMmBTE5IYRmiETylVd4TtgOgq",
                                 "kZISNQGgbKh4suCsbfGuzFQB1im/Gi4wxxEkrMOIX51KMTio0o5z6ehQjZTPNIdemLIcTTqFx4NcXDbIoeNtovq4hQpqGoKnkVjRcawuipUgQJzicBGVXUUbT+sYqvfQT+q6iweLzmniQpYYFsQqAFWlygbniRnF7O1donqLlJ56C2vf0GpKZ/rNAagBHx9ABFPOHh1zjTTsFbfcchB0G8D7HXbbr+GEjcf0fuYhu+zMUGHrp",
                                 "pCdlGgQRDWEclBY43U5xVRMGGBNRpYd81CzmAsVwhjyeyRQIee3J6F/OJaMndjWESUAubMR7LIrtMMsyTkZKMvIjcHPKFh+5Mb3onG5Rye2dYTLS3Lx89QccdS9CJafWueIZLpvR7cMFdH8jwisBsHchyEB1SB4Gl0DPynuB5nK9yNunELrRvv1gPEfyuwzGEETOnJ5Sw9NaVKIqJO25xgNOkX9Fwt5IcudieuoftFINTGXlK",
                                 "YXi3IROitYpU3oXbVmEloVcmY5K/ki2iVlCZeFEhPphKeLFBGNvWqLXoUsQwc94Oaam34j7qQGeD9KnmpKbKaeG1CFQUVufKyUOhzDe6/PCuTn+HyU8DLGSq10+aBbaVH+Z71riT0xVFeSrjeO3BC7/gm/ivyY84paVpwpT98x8JAOgYAf5vVvYzYAm6dCUFxiUJCQAAOw=="
Call TkImagePhoto 'js', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNCetgKI5kaW6fqQFLIASd5ZCaWJdpEMFr+8YoF8FFfP1EOljoRmOOVp7PSgbxRJ0g7FKbZXkXU/CscY1apywxY3FK4QABnVqwANPTLEJ9v6bP4TpcMYIcXg53UmdoZRBgUXWGbYQob1BUVYtQKpNWI",
                                 "UkjRaF6OpQcRF5WgQ9KbjRPTVQdp2ycrSe3uLmDNgqXvr/AFxmeDEq6x8hPNyluy8ZwL3FG0kTUpLm1TKrPHj7GQ57T0yBqF0CbbVettnGhRuO32ZJwZJbQ1tH5pJbbgY7oKsTEMXSB05I7f669aSPnEB5kBNcAKihJEpiBxSx5qKb+j2OgM1dUVVSBq4i4at/MFBozEkeHcmtAuCPiSdYLVDe27SKJzVqon6dMLVuJYpnBZE",
                                 "hJBEqpMqnTp0S3QJ0aT4stqlh3blgKxAvNIH5chA2rEFvLQlkKMZ2y9eQRYsWWjISZx9m5cDNl7rjbRO+3HvcGGRPrLqxZgC6HsNrRrh0dk9Fwydsk0t4vkBmxTMbhD6ciFyzEGgm97wxGRGQQN4FEzxAiRlLqXUHocDOsgeX8BGNdcODZJ7gf8Pal2yFG28r+oFYUOxMeQ53/Ldx04WLpFdJCjw2dCPBF5Da2fLTsC3Pm3+F",
                                 "vSXv8rnE7CVtZoZdb0o/btx9N3aQlC07+l3RCQZDSTG+lJRRadAlQFID9xYWEW4t10h9afC3Iky6AjKXhTfo1JOEQDlqY1YhR/UfiiVc1deKKWRTI4oqgbZHii0ilOCONydh4FI7z3cgjhsso2FQwRMKHmCr+lZLGMx7p09GOpUznklcFAuLelWVJNp+BSxrY4UlKJellX/39hcJjaWkgBIFMISlmlGSC6IB83VT5YF4NrlKhDT",
                                 "W4GVcNXVr4AQxsEgNJSps11AIlVJop031xkGPOmMq8NGkngVKoX3viuOiKaq8YpY4S7jm5HlOvgBpen+MV6SOclZJUTz2Q1PrFrbBxAd4SS6GBHZbAZvIeM6+qqExn6mz+lJ04pO3T3GmvqSoja+o0ClpHzvpqnxhbxmBrbfxpJK5w20rUbSGs7dcHXTJsi4h0ccLCnR32WQnslWmUS9quXaibb3Fs5WFGc+565Zu0Wby3R72",
                                 "xqUQLGgVTWezE2f2r273B6uvDDAgPQq++wBS3Ma4do7suwLKJi5kdwpEsJSwgC4sPaf7Oytu5RRV3HCOOaXfte8lCN3E2gBbjWz0Y4xt0rzh/OEgmtkaN6xiJlAwrn65GESlIVjut1GM/RdPOVlSjxe+eoLBnEmGUigUoB2IIKeKnlsYkC2FgjjmLJoqKObFeh+IFJg9Fb/q2n0n+HaCeNuGp9x2luPlMLXpJzSm4KD9oYjic",
                                 "n2hFd5lfOw6r21dLdWFPSR/clodnayoZPk1SkxPkEiI5+TyuZm0hG3P/WKNVUPrO5/DCJ6Vj8b9fFRryWLmQAAA7"
Call TkImagePhoto 'kc', '-data', "R0lGODlhSQBhAMIAAAAAAIAAAICAgMDAwP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SAPc/jDKSWsbBJTdtv9gKI5kaTJmoX2DAAgDaTmiYK8lam3tu/QwT2sQU708sGQrpIHhZM9RlOeiuJIvhu22tS2aixTqVH11HVXXF7Aud22FMnjKpIPGn7HZld8+9yt4HoJSdnlLaHFvDWVrC2loZ1qGg5QciGyLkldAF",
                                 "UFMYpYqiCFKSUhjRJ8FQD+cHBVGYlsiMx0jrXehKby9vid4AAq2xMXGERgraXFav87PUJXSKr4/rEFD1zFE3Na6wHk0HFRsFz4fV0dXKqZLuk67QheDvV8w3EKKcS1wkyjw4E4w2/NGzZpyPQIE8EHQWpV9ogjVksCOj5YbX+xd7DL+cIMAWPFyKIP1saC/jIA0mFFJMWAOTB9d+Um40MlBIgQXHYkYEVOWJl5KxhTCrUoRMf",
                                 "IYHJV1ghSIdnzWpfsoRI25TzgehEMK4ke3bdjCbmPjK1DWs9DSql22jKnat3CnyZIYt24haXTt6p1Go6+zRwVN2pQS8tq5ceFuPXVXaohiegBFGnbEENYEdEToIRly6l0YcK0yVWYx745Sy5tNIaYWOZpAXpnwQS1ZKckNiIUJ88hp8EHCggt98Ps8J3ctN4FviFaq1IsWVWqM/PssuSm3laxOXyzH/ee92weLu4TS0vKM72T",
                                 "/UXXruro+FI9UFUscwTgTn9q99PjJHTD+/PwG4WTfHfhlp59RznXnBG+SZDHgIR8FMtx+AQDHkAM4mXQUT2IgssV+SCjC2RJFUfeaezI4Rc0+qqGWnUSOEMiJaEHkBeGKmLW4mir01TeKVczV2FOEdcS23mJHVvIYjrnIJQMuNCZ3xlKwSceSHqLsBZcOaGnpJV5dfinmfUmO+SVAfS1pplrBmLWmXm3a+CY0cWY5Zy9tgmTeMX",
                                 "xCEA9bzdi5WyuccDIETlSu1t6Tf1kwUw04LqobKs2E8MgIC6ppG4eUHqGolXQo8d9zOkJm4l1KBuPRBEd2FilUoLR2lxwP8DFQBK1mdk2OnMV66kS3QmArOp4SWNRmLHL+BoepnKJypKAe6dpYEETqgdt4k1p3z4inBBVHRbfJCuyJIuzHhoAa4BMIctBF9WsdXJGzEk4sLVChlDXxc5t4KOom1bcR0juKaPfmm9MKYYgLb1M",
                                 "d0ObwuebIJ5wPHK1xbb/HMQLwxhcYdW43DaX708WSTkRvSX/UytxXFGfjD8moikSvg9gJu3KGHzaBTLNQKNdBRqCu/LEZvQqi3IN87bldHz4zgpFbfvBcCC0gAUYrIEz76Ca2Ey0LkikBIlQf0LU+xPV9uP44E6L+9LVvI18gfUmEI3P7Mdv8PaaOUnGfLaMR0WWyNsj2WOwwwIxIXYtPMXTRg8T3dJfhxrTOmSP3j6NwsMhv",
                                 "AhgcBt9NUO6p4mRS05AL9ya3UNygK7dKpDGnGOGH/CQ+jrqjzPw6KH7fSFDotiWrhCoCVtn7IE7p8G2v5TKGJ7FJyjn3q0H1yti2765zx9UaS4/5FLAiy4rz3Fead63sSaFiasyv5mqw6OOolZPqE4kkZ/M053yqUeDgxlZkeN+e9oeKRN0qepcLnaVSQgEDkit22ZJHiQhFMYY4kDCAGh1P+sRBcTAlT3eqiwe9F0LYKIaEJ",
                                 "XQNCFPojDTpgYAsXMsAEgAAOw=="
Call TkImagePhoto 'kd', '-data', "R0lGODlhSQBhAMIAAAAAAIAAAICAgMDAwP8AAP//AP///wAAACH5BAEAAAUALAAAAABJAGEAQAP+WAPc/jDKSWsbBZhN+v5gKI5kaZ7MaWgiQVpCHLPrsGyAQJfpNnTAAW7kGjFiBqFBMGA6m80Pk5XbvaxGjWAZYtxAEhsNIN7oHqqeqWoTP25kLblNt20Di9xi1khjRTk6TE0ReXFdhoYOg4I6fn5HOoRkAUt1dTk1GnFvb",
                                 "VWPKA9bNV+kEohqZlypV2mONaOWT7M+S2ckRV0+QB1KK39dr3NjMnwUuEagKsvMzSVAHwAKFtTV1tYYLD8EQtu+zuDhgDQeHEXAIYN2beqXdLG6oSE/3+S8vCDwZlCzUZo4C0rxQBcNBytA8NT1oxWMoME0SwLJ4PRrjyAv7i5NUMb+Y0+gI2Y4iYTwZaSek6/WOFwhqeUbKopeeskU8aOklQfHFcqIqcqMPBUlztiCE2dKKf",
                                 "ySKsznsM8Kji8CwmSxkJ8IePfwDflArwtOEu14Kny3jEU5A2dzilvLzFuSXg/Zyp0Lxh7aXHTzyjN3V69fleY84FsppVgxQozYIaVytBWKeUEA/UI6BQJAqquUbYv8FMTmemCVWgVYsnEWyKCd5azqBGFRiJm2EC1oOgY70fpwmB4HsfOZSDOB90kxjHgZjGrrupo4R4xFkc3wfKTyGoUnp0mCaxd6SNOwKXygZmE0nSinmBe",
                                 "mBvJoea9KUWT4lEQfHOiZoXaSRyv6U1L+nvncpSegLw54Ih5vv/xUCTPp/dRcHsVUp5IbpvwyzGSL/AbhbzRRcWBDI7DGTm6ZjMGFbJt8CEZtuPnjFTg7dKUcCsKUsQ9rL3jGWUFv8ULgV7JdZtAbrT2ExWfxAEYjTLGMhVgThsnQjAb4aKXfX3kJlsuVWM6l5X5dhrmGi2KWaYlZ0GhlJl1qlHPWmmza8yaccX6gJp118tXXkN",
                                 "f0WQEobrlFmCVPCrKOO012KCEPU0pwmKFN2viJe4yiloxX9FF1nAPi4dXZLj56FaQsuMV14qcD6QjXVqDuiCplpRK6Cad7ZQXNkdxgGmKLowzC2KJIslpWSJHiSCxLi3L+kOSwXJhhG6+uqViQFha+aIUTiS0ULaVXBBmkhwNRA8+kSq7xVEIF/omchZIeJy2rF8VhjEfG9FnDq6fRaNhMGzYQXooAdyZdBO+ydAYd6c4kxTE",
                                 "GSPfcrAVjpIgQN9WX6Q1TiAHebxFrfN9+ifi7bxSVbUdruQPlx8cW/80UZUtnNriHRxHjN4lM3UUTkBuiqLzbi/rqcXOBzlkhEn3kzVBzfExPLJtFI9dXk81cVl1IgU8LNa+AC39kI8pXeO1ffN6R1LLL2V1AIbenARfQghTEcjTRbijNtk5vwP1UwLMaIx8nUSabDBx+2iSSgz7xCHYyF5piHFAVKJLQ3kufM1WNueeeesvd",
                                 "IKbTIpRk7m10CrMJvm0+n0upCr6Y24ngGo4IAqu2x7JeaY+5grkkab1CKwJQOn4zhK3lWD2cHTfGuuxmq7IarKmMjjoZqbSjaAXzuQuL1uvhPj5KGAf9ISMYlZNSrB4RnsJgxFTRROglST8ZOqOBrmp84fijoWdag+Kpgppc8t8yANg/ARKhCPwzoDiqBA1YKNAvTEgAADs="
Call TkImagePhoto 'kh', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9+v5gKI5kaZ7MWWifMAiFC4tUYNssICzpxpq9QmfoWY0Go4Ag8GmAlNAlD2JE/UoaZzaQ9QFwDJ54110pv5cg9kr67hbKac7SADtuNrJK3bYz4m8LIDpRVzqBSw84e2wjh3hcipF0c2GJb1yMjFNci",
                                 "T4rb2Gif5GfaEZamigrEVJRTE1BUEeOHERFrHuxhzmQFCMyMS+DqirGx8glQ00KlM7P0K0ZGy7D1TPJ2dqOP7hFjVgLoeNkiIK1VtRD1cM/7ETYBVApWq9TZDmf6atraI9LH+wBqpRp0T4gk/5syZTlSyRz+dD4wVcsHBlA4sA5udH+5c6SPPj4cGNk6eO8VA6ZOKEhDtOhc0DAhbB0hwtDHxAd0jPDMOGpg1hsmFn5UmBAKT",
                                 "wmAanYRh/NMK8aNpzV4lYHbBrYafWiyxFEci0zImPhDQnXbWjRXhM2LFfat3AHdUOCK67dgx7q3t1Lg+wyIlXGmvvK4ywxoE1tWTV7WIS9HOd0lImp2GpgdVcdA9S34XFIB5zXhAjWJFkelUF2PIZkhym6XZlY4fioGukZPgofuGbJsZchnZJfUsRpM/hKyiho1+m5SCGin7IT4oEpOvnFQJKf0GG1/EYomXJJYpcQ63klneP",
                                 "97Z7pTzjwHiWHc4eQfr1cTHh004GFU3j+Jz2IeZXfckGg8VwpKS10QR7gxUKSKDbBFJ8YpKjxEyln2LdLHbhBVVscDILhg1KNVRdTSvm5gtQu8nyUzBWkOchPK+K80hhVIGxFzGLfNGhKZEDa+NoHPDLmo1tLsedFOYNhl40GgAGGJF9UEkmXkUdWmVZeWGrpZRubfSlmhkL8tYyYdgVRhF5ovqXmmW3e9Sabcab1pi0bRqMnFf",
                                 "ustVaWu9yTxijUzaRhaMegCMlzOBV6pEg0VHXVOpFyI0Fk+RwUDGlzLRZCax4V8pQol7Xhl6dXePpEmFd4xktppY7E1i0wNBLjqvy1qiJSKGaKHGZtxVoCjkl8mJRE6gX+yBiilroR5lH2JJUfs311xZ4ifxgLBUiF/UDgo4/KCF2FvBByBoC+dQJagH2p1tFNPIkyBoAjwvFAobIi5NOIZSQ4oYSJRBLHcSauwUlzBvH033d",
                                 "VkEsKvQX3Aci+5LJinhd+OHQJuHuEMokcbLDmCwSnlXsoKBelgW8T025Y8nccW+HxZxHMp14EC3N4sj8gM7qkgRE1WVPM+jogdMP2FtYozKPE9mtQF6RMRW5aUOAuw+xeO7Mfg7TslXE578zLtjiLfMO1oxgIsakdu5GxiBaPFx09HqnmdMRefTR0RMLBkbBOCg8q9iMKkYlyehyZEpskRIeDrSdNjJcR4Kit3OQspEpaAeGF",
                                 "jZo7RsX8Gta4qa2ZUtRpuwpcc6VPJ6aoJUZ96i7BiRFZrRXFFUeIbSYQy8+s8WB+WK+1qchfYL6rE88n71A6peuRZ2T8jc+WecuOPBqGBShG3xNV1Q6FUCSsmwYrPKzwgazbkMDqKGzmSUYPWSBm353ozo4bJ2jaL7IFw1rPa9aeBninMsmoTnGRUgARuA0Fno+BKlhTlyCojSidiRAU3IsSEgAAOw=="
Call TkImagePhoto 'ks', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5Ddtv9gKI5kaTImoYkrG7wvRQJBO681FKhivfeCQDDoWfyEvw8gaBuhTqHc0rdYSoa0qlXjYKaepSXzst0SeRxO1UsrC95NVjzU7D4WYwGhKiwztHVfcyBiWkZcfVZpi4mGfkILgl+JKH8XNVgRa1QNS",
                                 "R6DSqCffVFnmB5IQ54fPiwEUg4/YDM1NxIwMTNOkim9vr9hYAAKFsXGx8cYOAw7OavA0NGhny1PooRv2drb3IPXKjZSSTaAFyCpSM1LrzTPKl4n399q6KobSfVn77XxgkGwVhrhMvRvSyIVsOAF+/ImoZ81EzaRefCJVxhqdphBvGL+iQwgSPLkUWoDLk87OH8GpvRzcpYTkZHuNbR3T2Y9Ur1CTop5rpWRVzdBlPujBFWnaV",
                                 "BYcFu6dN4iYdWcSpvagxk7GhykUt2aMyo4rmCBQf0atmw/cJU6aC1p5ZCPNvx2nS1Kl9XRUuhGIKGj8MaGoevCRVgVtKJNvnH92vWkFYYqIno6AJ38qe/LLyVyrJn5WNULlFtKJr6c1AdAI31i3AnIpwrCSzpPfF69kiWEgq7bRLBIayQe2IoW7ZvdCRZa3k6Ie4Q95nYW0KHHIXdVs+OfhrY1ZlneJddcW2jbdZ9t+J12S4A",
                                 "KTqczmEvAkZrOs1T/PbmWWrWZ/H4QAzf+/1ZoLCRbbm78k0pnkGzkTnmKhYHTPc3IgoIeN70g1mKEwBTHXsK98hhhgxUFmB5kOcgTKvqc82FVVhHiYoaY0QLXjL+5dqED4WVl1o6XjcXjj9SU6BKQRFa2YJE74oQjjkiG5eOQTVIFFZRRShkVlVVK8+SVyHRZAS/OXLWDVoVo09aZNlIn4EXAvGUaLriIgmWQSZ2DlRyx6OXOFL",
                                 "EZxZideapYj1XMcKiEZXIYFahgOghKk3CGGhkbQITa+dszhUGaIj19YhJQh3+Zg5c9+jSz6T597iFqgClAkqmj+vC53ouZpeSqZ/YcaMmYiLIXYxSsJfTZrX0cElobvcL+WCc7l26i2Zl39FcJDLLW58pz1pnkWDbRYoJfnMkiZaJJNbb02TaOrYQQuKMlekJBaM7UUXkdHYQst3PqOCBEeJhJHhdoNDKtGFzAMeuhqtWYjcA",
                                 "BFszJfXB6tyYtKPFrZltMbbcbhO36Gg9t20wxBhIa7QddCxI32BtG16E38svFXgzYwaNYmNVtmGS8GbcbYUczBxGr1hYnDZsnMs8GPaiyEwYTjJ8ZsvDgcM5Ib9axssGUSVJ+wlCzSdWFnkiaie1Qi5CzCS7sraflPne1uBSX/S1q5WhDbWsT+ZyqfWW7R7dz+xGn36cMjh3303wMPQSusQy+4N4uROKpGHuIoZMPcUcW7i7Z",
                                 "KD7q6IGZ02oI3Hzj9QqKHuYVwugvsn1niXGb3uGr95y5igaU3pnv2RvGysqKdjVqGEDjaIhXDld9eCrxtLJzu/FRLEipXq/XtfTmLgQdg5vQQE7HDeUqHPKFYYYJ+0tepi8BnT5mCRaT57s/Ffy7yy9g+/aLpZZkU+RvlhAJAAA7"
Call TkImagePhoto 'qc', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNNuleKI5kaZ4leGpEILxvEDDyx3Lq+JC32Vk2WaPW8gmFoQVDwEPZnMsFjEWlDUFLwGL2kXl7vVSYp43CXjSXQ8n2zgKbWRo51tVFAC5nP0NLt25aUoJ5H3sceit3IRp5XzRxjjJsWRdCgmeUix45K",
                                 "YxuXHllSjhyolgcU2ibOFAkSlqfb4kjcC2mlzYUTyh1O2JgGpeTZ7asvE7Jyst4NyoAChbS09TUGDewS8zb3IqczlSZmXJwjU/HK1DBDZxxMJeFRXHftBWM6kkX7bo1NAJq4vLEcGTFVa9jkgJhynYqC6BKLlbBOOSt1yWGhLZoGtX+hyEceBR9IMThqMUDNAAvLOlD6GQahCMJTMEkR4mQQVfWzASF5KDBFeTeDAz4718HkI",
                                 "Y2wGLy7acuCZ9U2JKHK+I/ir9a9erW7ochcuLOVGmqlatZbgyZIjvLlu0zcG3j4ivbSa5dspEg8cm0EtLYukmENvHpwaiLfS3aDCkVRJQIo0sF3vMJWaWaxC9LysNaUKlQLYIRi5T52fACRnpNHlaqNGdPp2LUWYkQEdS7B0eo5BId22KgmV4FhvqAswyexFPmKho0CF7YtBd/fUlacXnkpRpdruw4xxQqwkAjTb1Z/EJaB8Z",
                                 "seVcuUq8e72kx/tGsOhJ7T08TRnEUeQ3+d4fmAdaMK5KQBJEaOgX0EnNlwARFMdSlotJpjbgwXIIJ0dJbOvToIQo8/sTgxkC0OXDfYFAMo49Mhb3hgSmMmAaaZAJO5plAM67WBTshqRfUSsSxlMVhNYpW2ZBqIXKKSSzg0gZipqEG2406ksGLMP6YEQN1uEh515d4vQXmmGKWNeaZeFyF5pqYhdAlm3KVuRacZslZJJ3K2IkOnt",
                                 "WVWc2f0yiXFiLPGVVIcHduBZ6XSVklxTCGUBFhLYvpcKKl7rxDTkhmNsPjcYu+yeWjQRXxXmcvTjDVpFZ+82mTmqaxGXWoMkmbjaN5h5tAD7nnZiw7vpbqqrjGpit64Mj+eota7Nj00jIO/rpqskRUkuQqswnrw6XHDVEOoZNwVFuF5MAFanXtWbVDiMVcuIVjp7wW7QpiDRLpD9Nh+JZjXrBqR4qgZBSchY1gcgop/S7k74C",
                                 "9MPjIH9iK1VeDyTmzMKM+lIceghK0UdWSxlyMV8YGYwjiKNux9NEbFs9rxIQoEwIfxTfJLJ7Fi6bwUXfwvSsfSyjNkpvInZIRyBMzf/Ebc1tEurJjOfMwi0lfCRz0ETUvhu8j3N7zodLcZefSfzxDomGrHAYbiR/8AXiFRCjDcva/WzkztcrhxuxtyebZG7WlTTYGT94Y+XcsgF131dVMNmEXsSpzxO2yJ2LG3VJOgx2RIpw5",
                                 "DgFy9N/HJQwjScCRG0pwTKOROFYqBmscueLIkd9tidZO944EdSEic5N4eAs7k6MIVLnm5dNgHKNH6CLG+CVD0MG6tOijiUpKcPmU4ukwtEzxzGMreSxbP6fwh6eGu2hP87clrdQXjWlet0YVTyHph6sml5W6fy5qn96+T1AQ4hTatkUp8wFuD1hqWwDNxbC0dQN4SGNX7FgwKP3xD1AYjABdGMinBzIwUR0czQZDyBU9kZAro",
                                 "grSCeXiggQAADs="
Call TkImagePhoto 'qd', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9xi7dJ45kaZ7oyaSFtgVCLDOBtn7Pcnqki94FQWco2LhgC0Cg9lItlwzdiDfyqawmJUDnaNkmLe/Wh5y9pD9s6UKjibeyeLSd9MZugbC6t69GdHlzZU9LMjV1h2ApQCpheXZ1gnNwcXcNBTVaY4xZf",
                                 "SJbj5Qxjy1JNm8QXm+lWiycayVUOEmEnqFQcKEbQkMDRUaeOLEqpowrmpUCpMHALM7P0LFUIUYKFtfY2dkYPrxE0eDhaR/UIDwaZclKTHp2zI2LWEK/Rh/pbVg+62zkvb3C8VwZwXWJEoQ7b9AscvVuU6ZIEVAZWQARR5cwAeM5WMD+JNAYTJMc0qFQL+MPYBI44jNFixW6FokeMBQosdkcKTIluEPWsOGzTccsbUT4AErJcQ",
                                 "s5+Bsyq4HRo8AeGgK4y5cfmuE2tYN5KNkojOXKvRJHNpq3DvTGll1bFkhYWWzjIjXXT67duUG+lUwn56kqfllnJsVUqQ3KN5k+jvBGD2qnD2etYrzXqkhaHE/mLNZL9crmxlb22VNCLxSth+8cr+mJS88li0AKKn4Bx5jgNGO4FGx3KqelER3NmLyCWupFP0J1v36yFW8WloY9FqvtsBTF6acwOl+dQwmmnRKeKBsTU+fwTim",
                                 "1cFRG8M+KPOWPe076ZWhtkJuETvrOU/P+eVjoLIFSUBfUwUcUtIjUkytTeffJfTnx5hqBptwGDzB3kOKSGLCFthsNmViYxU+n+UfKeMv4pV1ejakyWFVoVXEaO9pZBhOCX2EUWVo+icBYD6YkVt9AOOa44mMvQgOUi1yJEocuMErWzF1UTjENFWpVGddbFmnp5Q/KfCmmCDBY8eOYd7l1JZp2qVkXm3G5qRSccfrAJSra5KnIXD",
                                 "vuVRh5TPRmXWo9iDjnUZRxxI4L9Sn0k6GFnmGJomPxZMI8kW4HFxmTihbgp7g42mdnSEZ5GWFJUBrEJ5iFaqY/oAm2FFPo3FEiYaPd4ioJmFZh4ZnaZfJUIbsUpChqj/7+t2mrnKb6CVHIOrPgQvvUZ60cx2ykhhus/teDUdmm4kejxqQaZiCQjvtRhF3kROBoiiExbRrQHdYunoO+NpoMR67GEE/JKTKJctnh1y8frqDmBo4",
                                 "pBbkuYPAVPB+9kngX31AtAaUffwdfRa07NcDHCn5/RjyDoPqky2pvLQUCSJFBxlThkPM20ht5/B1LSCGjVLfuhCrDxtvL5Bmyc2aAgBRJcxPbfIwYqVbr5MJJIyuot77Wc/MMEU/t3UcRx8R0qTbzVyA/UmEnCH4yZ9kltSK7RGBi+mH8HhutYL2ygxPaEDWj6SGoYM0jcq0uUezKxih0hK+RY3UT0dzuh+20FhN0PfB1+uDM",
                                 "r+h0jIpkj0hm59NBfXK4X4B7ecdAGnYfZAimSCMWcDF54SIzPrzFLgI2yXc3nNkuuo9SNrUOOyFDFoirX2kwKzVuQzVq5MenDFmT5kKZV4xvnwQZrDKCuA5XekCRPam1R99vr63n7Yf5OC6zOqHP7obRPuYaaWftwsOSFVG8gZ+ToDQ99enpgCShy6H6Rydw3ImBDYTGA9UXwR2saUoVFAewSqGhDLIFBgkAADs="
Call TkImagePhoto 'qh', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQ9xi7dJ45kaZ7oyaSFVgbA4m4rEwTCUgqDUPC+z0w16xhDrRHulhuOXI6AyUNyllYpKEO2EEhjOR1OhhWKljlpMmutbmPvmhdG02kAt9gNViuo1W1PgSJgeHszYGlwXn5deGE6NHswTSxlKht/SQ17C",
                                 "3mbkYZ2cY6XJqZXmWmMZoQXjIlipWQ0loOtI1QkfFiDYExqrUdGQre1H0A/PVdpfC1Db8FPtizV1tclSCC6AAoW3+Dh4RgzPEdB2Onqp0W6SMZ9Wo+QxtNsG+Y9Rj5WlJ/HtThZyXcOFxFLT3SQIVPoTTFOWaixiePwzoNSmwxBEBL+Zg0KVG640NpCycsrGf54PbN4qB5IQS1XrmSCZ0sTG01w1LAZR+LHH5VoPMhz51kpB6",
                                 "AcMPSJCQWvMnB4XrjQIpJBdgjxDeuATohKaF51SquVr6zQrNZimeyVMeK2D9perptrjeCys3Tz6nUF152uvYAPcvAbuDBWZPuunmnw7OGYoNdcunyhp6YGZ5zGONlKDKBgziGs6NFpUN5YxFztfXSS7Opohz84Wh1aTTJao3p+TGBEy/OY354Pr54q1ebNntDyhLmAw6Pg1UdHQsFdVOMcOjUbB78imaEM3IqQtlA+yaKLf7Y",
                                 "nwvl0RySlRDw7VZ9ElCk7+tirHrq53BP+//nvMXaPW4YIdcckntCxEk4YURSVfamclZ0hYuWHnIQUYTTgT14slJOCAUVlnHcLPQBhFap0yApAVOkkgQ86faeYG7ed8BQikAURFU2qKdOVdj+JYBZlbOEymlVmgEaFXLgomdAcjNnwDAxiRbhajZZAohKGeDSlTGrFGCamCNrEVc+Y65TJzZloFpZbm3B+QBpqd8UZWBlq2nlnO3",
                                 "3pCRiehPmpF6B9LijOoRT4ZJeOV1Y3UxdI1nZiXCrYweIjcKiTXpBVmMQdgwPtk9h2NGrlQ2ttvNalJ4bySCZoMwoyGGfO1eGqc+YFQmusfH05DD+dukoJIQueZiqKG/r+io4TS7hoHkfydJkWhH/VWhkX0Bz3EEScPuelUPx4eFymiAiYiRQ38BqmW1X1165SlTAkniqTqIvXT2r1l8Z4y1kUUGOc7PvFiU9C0q+BGV5iQ0m",
                                 "hjFErd1kafNOC4D44nnKVXMRosqdInPF4vVhsHTA7+RHMppV6vFMzz158JGaXZUKqrFmobBEXfIxLHpSbeFUUx8zQ85VJipA4FMwUHkIwIcvF9EbRoznLhLZJw3ZlzQuzZxxRUTui2XdZw7d0WOXtxHVx6+U0Sk0Go3wKyGYciIZGr+CEXL6RQuyWJmbPkaA8F088Ij1jA5Ru3zShJ/KE7UrsdoTjtvehgk/Kh7yyyoUnoUgd",
                                 "Hyosorzgepx3qT+hG56/P1/u6WN4Wwo0siYD4woE4Y4bbyyIZD5DuuluGzeJxylkyuOwm3BjuYUwHU2km5H+bQpP1YH8Sn6PVc6o9z7vo/FIDcGqfnMSaxeYTHq2qxt9GOm3aNvsWr5HTjJ99mUx+LHw6C4k0xqQXpaFvWzRq0L4eiQc7WWpMrlLipe00atu1aYJa3GUv5qyqHUNB1EYjMBgCsU/QaUpUB30YDrylD0RjhCE7",
                                 "zPhCYZkKxUWBgcJAAA7"
Call TkImagePhoto 'qs', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTA5DNNuleKI5kaZ4leGpBK2rq9wWAsNiaSDPBmK+53aMHW3gAxJ+P0KKhSMpUFPpZ1DoM3K1m5fBc1+AOPPWVX9lOC1dbI11CgjXc4HgFTlRMSnd8sIAwgX+CD3NPe1ABXTKEaVmEPU1ti1l4SYd6ZyFqY",
                                 "z1/RpMgllc3XY9Gm0eqdk8vTY1QLD9XMkIOn4lLOg2fnFoLTkpYOmCIrK7JylKrRwoW0NHS0hg/c5DL2domKt05qoAys1Y2OMrIMUK+SOXrREfwLVxRt72cx8flMETkDlvmkwQkQ0fwyppTXBA2kUTjmj9DBI+FEbdwYR0Tc0xpZAT+JJ++jxeAvKkoDNTFjnocOrzwhokoUGxgysuEckWyYGC09OnHpEhMTYhC1OPxAoexVr",
                                 "Z+LLKRpyfRZnrOlev3TtAfm1e9QN3GlavKrV3DitVKNuvYszW9oV3LzIM6eLHcwsg6bqqRXXi5TYlSRAmYHU7fhDG3YWWNe0DlRBDIjmnho3FZyDtDwxfimhsqc0qoAY+jwkcAB1wWMepFf/pQG0Zy2K0npHol4kT4D+FIDhnNfcNTWqSVg6gFwRLVx8+v3nonjgTW0l4wxY9YQsCnSfkMktizV9zJMbYmNmm0i88+Nzp1kQ/",
                                 "TH24Y2OU8pvJM6kKD6O4qCHOGT65yDb7++cQrVGIHZ2lkNpkgOtE200neYTWZCx4EI0FqF1D4DTEAcrMMTkk0JdBni/DXnWabBTUCiWbAMkw8ITLRTmeLlaVhhDHiRtVbPEh2XFw8mjVjXkfY9dyFFO2ilD1gsaWkWjIqyRaTPjoppQ+eTWmlW/YFZtmVY0E5H5faeIkMmK6ISWaXtKTpxTRsWnDeV41sCR0xarxH2EDnldjKXh",
                                 "h+0xApJKB4WYMa1kJjj18kdGdgT8GFWU+W9cVJh4oREZChmUUQ6Xn15FIKLe/ANhKmcm2xZWlDISGOfWRk+iEHL42QEZCylGrQmqd9dhJrLrV4Tp6zDggCGaRK12trZeb+KYU+jrDxDykxICvUphmmMEMhJglJhxcWfTgTTj2aEZRB4FliVyALVfGIgbAix8ds+KX2R7rqCiEvS8rKUosbgaRy27EcPrBjtfqmwi8lv8FRj1G",
                                 "TUOluwcIthXBL9hbGUnyaPmxGLfsAR1RIvKmaEWs6FUjwxqmI0+YE55Lalm/lDVLHzDL3a2G+GytKM7Y7E+LzzOp+mSQU5Ey18gTiBK1xUSwZRYdAYwh0iL2XlLTtya9EcN3TFhM1kxv+9SV0k0Tv1a1DCu9wSUYY00RoClkOsSAsx4pdyCVK48w0IBT+aeB+5q50ydWPKiLGHQVaxLe2qPm99D3ftlRprE2fn2vbteHSF5Vr",
                                 "JMQN7bPzzCwv1oOiwKF8w0zt6VxdSzt25hip2NTOrE/Xk6lD0xosGg3T6KlLQc6V6u+b2/oc070jNUvwjHSa+wtCaXpcwLc71dOOfqmqJ1Zy4fKL0ftB73rKpDsavZz8hfeNsHspX8brYwbJXBIqYyNUK3BGqe/R/J+mJtlnyoaZAtiVARJwGwY8oDbeEiT0KZAri0gAADs="
Call TkImagePhoto 'tc', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTAxDCuPZbKI5kaZ4o2aWLJaRkW71pV8FmhO/juusjmSAACAhVEB6oZvH9mh+UU0mtKqclaPTZhGGlyeCFaLwgH9et9QSs3r5iF1VGoYHXeOvK9gEotICBghcZGx10dnmKXn0ae2pteZGMImgbdAALmImXZ",
                                 "nEXmQ+cWVtHblCLlWomMkQMrplWrQ2wo6RUsAGpG7lUcCe9u8E8vyKzr55ztMsMtki7hqhVptEwm6EOo9Qh15shltXEYYqTj0vF0IqI56vp7jmN7O/v5ubGoqne4uGuup/N+fDt40bGjhZf0u4MwRbKyBkm4OC1Y0JgYRmLzk4cK5L+bBe6GB2jdfmUEV6aiCSGkUJJEaIFhCPvWBtTZBsPIQVDmpzH81bPn98mkswJcBrNMk",
                                 "VbgonJ5aVSHJNGqDzjII2ypEGZdsIKVeiajbXm5MS45KTLBhBjEBFSsyybhE1vXCqoSok+dQJF9Av38V62gH/rgrAHlFw8woV5ZvKX+F2ZTrxeNTZcDfFkhJXjXdZzWLPfWLtsUhrsWWTVRVFlHgqc9bRhljJZMOPIdQdYnT6XOhWnNTeBYQdP7n6rCi23o6LvHm9GFDRFWBAYR5b8FnaIqZSgP5BuN6+7KWS+Nil5Kl1wj15",
                                 "Bst4KSnlF76PjojNe3XXX7uvxuH/KavzC1Rnx1ScXb8PthEI38M2UDUO1PQPTd331kN5mnFEIoYXmTYjhQGZlqKGECraXoGwL7uegbgPKN0GA/cmBH4D8kYibUfnFiOJ8OFpnIA7uIZificRBc14qEdrmnxXhCfYOkDBo54AuRU5XxI1eTeUkLW5phJxO++FUU0cRfTRkVzGpJCZcZBbom5bItOnci7nMCCKB9EkyDnuxWHZWlA",
                                 "JOUU9pPMpJ45t8OQLohqoZGg6io/GxKKMp7MUBDYtBiocRCQAAOw=="
Call TkImagePhoto 'td', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQyBvffJo5kaZ5oWjLq1r0w3Jpx3c3sJsTCjO6wnm+4yRFfM2RLSTTOgC8h0QTtSHGaqXbbzPqqgyu3ABarnD5mSo1iY8eqMlxe9K5tsS0+30LD/3cuHjcFAAoWiImKihhZN1VmgJIkOTeEhCNQkVyaU",
                                 "2g7m2RRk6JWnnaTe5ikfieqIHqqPq2ktSi0trkjuCSvY75vtsC1vFSjk50noJSoLcmSzyKXgyDFulqQIYXN192V1ILdrI7g2iWwtehD3zqmmTahX/Dr3Mrzc/fBpcc0aatrWz6FgTNs3DU6uay9CwKNRxd/e37J0jfEzR+LZ+qJs6X+cOOfjiMwSlRH8U5ELgVTgNzn7g/CkqReEtM4Eg8+MSulQUzzw2GdIWBacsrXhyaJoA",
                                 "Px1RADRAihnC50kQwX4qlRj0lAWKp2FSscAAICeNUVYEG7dknHcmE3Te1actr+uZ0Ft+3cU+Hs9pJ7kW/GcNkW8lM6uChEmygnGs56Mlbjv716MgQkEzLatOf8ntuJ94MNwvE+2omGjajByDUfS4L6xPQk1lNLkHYVsKvg0FGdFV7ceqlL17e6vtJsUrFK2yx3T0GKW0TO2WOgH9cjtfbdmddPZwfEevsK5CGra3mufKhQmJJ",
                                 "9Rgd+QuHw2Creo7fnm/Dk+embw7/decpjfhHSodZfLczp0l0bwxH0nS4FrifUgbqd5x9iUIkkYHyaRbNSZVtwmNsutqV0hHHTMYaYYyda1lt5y6l32UBWaWGhYzRoVQ6EXrUVo3dL2KgNjljpyBWPvTklBFhiEblFWQkAADs="
Call TkImagePhoto 'th', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP8AAP//AP///wAAAAAAACH5BAEAAAQALAAAAABJAGEAQAP+SALc/jDKSWsTBJQyBvffJo5kaZ5oWjLq1r0w3Jpx3c2sW8+k7fO8XEqwqwlKxM6RlJQZW8JWE7YEIm1VqMbK7Xqjqukr6xUrgWCT+UO9npnFGNmU9op8tm5+Uy/hZXp/N1p2hV6DN4MAChaNjo+PGFs3U3OGlyg5iSCbg",
                                 "oNAni+EBU2lcG1uVUmWYpaZW5giZnKxI30js09WubQqtykgtXdfsFbBwhzEUqGuKLyoKb9lgs120qdjam+k27i9smPZBdehnzzlHojpINfIdpUh48Xu9Cea6zr17vfxg/DwXf5BizYJxCodobigG7XMR7UweB6KuLcHDqs4A8FJXDH+j8hGbZ4+BpnnbNtBbBm5DVDVjWCLhTROwHTZMOK0PxvbeWtpyJQVnfpiAQ16aajKlc",
                                 "J8oiEJ0mZAajiY9ignUyZVX1JTgUOKUtxOllwZxnrmlYtHEka5XYzBpqxGGj/k8eAl0g2WkS+vgrp6UlHWnWcAmm0DUF28tESt5vObuDEAAQEaBw2wYAMRyzwld+FnWHMhzpyOeeYCOh/msCdvgv1YOsQaXUBef3uVD97Mc3ppQww5mDfWGWTrbnX6G/ORs4BT9p5dHI/dtYGVK8V7VHkyuAljbi42fW/2WmlEK/S07+874sL",
                                 "aCXRbPexwpIJpAsv91g99OubbChr/XbfAiv7e/RHVXOgtB1txBFpnoHtiESjcMg8iNlqDEwqVX4WkXYjhUk89CFGEGp7G3k0j+rfbXec5RN1/5AWyH4X2AZiXjBzN2KJF2N1oYknZxCciT+tlVqM7dNEjIQo0gjJkLbfFVhZi4iGk4whRtveGUd39eJx07DknV4LMPXWgWmTycWFwJKoIY1dqOumbfEjex2JCtrGTn2wKnoBnNo",
                                 "YxBpxJQv6J2jZ92rmhMaEdFuKhhZp56C5vcPVYZI8aQlkCADs="
Call TkImagePhoto 'ts', '-data', "R0lGODlhSQBhAMIAAAAAAICAgMDAwP//AP///wAAAAAAAAAAACH5BAEAAAMALAAAAABJAGEAQAP+OALc/jDKSWsTAxDCuPZbKI5kaZ4o2aVexZbWl65BFLzlAgl4v629GuNGEt5qx2FJCCD2gCcmxYmTTqgmqG/L9WmXMSzLKhGrZNWG2UhAtpVF9fbbJekevC65+UOfYl2ALHR1hYMfHSsACjGNjo8VGIgadwB5hpgvihqbI",
                                 "5WWmQSfl5poTE6jlnhZJqmjh6EhnxKkmYSekV2zq7A+p7FvcE9+Y3Kxv17EOblcuw61WcqFzryxt7J4qs+sy8/aFyHIfT6vmeUhnZ3A6yKVPOrs8Sjpk/Ls9ONxZoZuc/XBVKhB6yEQxxc/eyDsixKm166BDYoJ+3Mt2oh+upgBq8j+LY6FfdJmhLQTYeAGcSR3DGNBbRu5GCZFcAT4JgkfLmzcsOllr6fMkT43Aj2pROfEIE",
                                 "X57BTJEuaWluCY4njI8Gi7kiu5SEv4AGSgoU814ryJDuyIiClQRlNGFUTahr7gojszdULMprRE7ISHdGEdjD/H8Q1aCJ9bwj0t+UXMb8EGxzQZGzI8U7JFEIMtZ030T4U8s2frZVbLz9hmSi4fYzXUttQLqHdPwHadAiqD2CnFXg5HNliFxR5/87TiJKdSq0T3GbcJ3O0eMaSvpgaDfJ6MGgsWNO+2eh2UO7jXUrgH+gVXB9s",
                                 "Nlk/O/fa322DSl305HUbFc7Txdm9mV33DKRdaWZBfVcLF9RFPsmWD32sKVkNRgOsdEmFlmiVTIXkXehdhhg/6s6F1Ew7lioMMerOgfRIViNSBUokEoIfjIYhCQXXQKGNtJJ4B1InWjWXGiPWx588655kWCoXqvRgWfPOxY+MW2KniBJK++cUjb1Y9l89bxzFnAmB6JeUlUeg1iUKR1RE4RZhYcGQbKPTphqJ+efFHQXgUtlbjfu",
                                 "64RWV0fxmZD2dbevHZZYQexmEviVJ5IWUfarZXHootikkAAiQAADs="
Call TkImagePhoto 'rb', '-data', "R0lGODdhgACAAPcAAOfv5+/n5+/n7+/v5+/v7/fn3vfn5/fn7/fv5/fv7/f37//e3v/e5//n3v/n5//n7//v5//v7//v9////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////",
                                 "/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////",
                                 "/////////////////////////////////",
                                 "/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////",
                                 "/////////////////////////////////",
                                 "/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////",
                                 "///////////////////////////////////////////////////////////////////////////ywAAAAAgACAAAAI/gAdCBxIsKDBgwgTKlzIsKHDhxAjSpxIsaLFixgzatzIsaPHjxMPOBBJcqTJkihPqkzJcqXLljBfyoxJc6ZJkDhz6tzJs+fDmkBtBh0qtCjRoz6TKl3KtClDkU6j9kRK1ajVqlitSt26syTXrx6zir1",
                                 "KdixSsGg/JnCQIIBbtwLaGhDY1u3cA2vlGthrwG1dv3zTUpy7MO/bw24dBGCbeHGCvwH49oUrQIDdvVAFP1zscC1iy4nbKvbL+K3kt3EPOyBctrXZgnMDLOhcGnXbAov5hg5Ql/XfBJXfrta8eQHnhp4dWxa9l+3ey8IN207N+iZxhQVmP8z7u/laA7cP/hcQAH715ACVwScov57w6/cyCRqHuN456foIVh8+P7f94cehVXed",
                                 "QXMZpx19ANo1XH4I9MVWbQ9+x9uEqg2o0ALZZSfRZLhF5kB+ky2wF4jCGVDAeYhxlt9AmW3l1U0FZncgRBwuVoBA+XU4XF0O4Nahao0NdxB8VSEkUoEGDiSggActJhtrNypGkJNKOulkbDiyiJZXUCHpAIbaMYlTdb4p1CJYUC0wm5oYMmDRmg408KVsA631VEErDunanilpKRCba2bX3ENqyviljGBmJxtngxJ0pp6PNsWkA",
                                 "YACGthBdsqHKKCbfqnmQgcY8IB1eRYU6VIlFcgAm24SJmam/gWtKSugXx4qqEKXWnjQrGu6SuinlXpaKZwJNWpQZsjy2dqFwn4pmZgEZXpjsGwKC+xxukakIa1KFgSrQWBWSy2wxEaUrECnMhXul252W9hAhoo7rKxRCvnhRUTahFCi4krmrZ/yyTbvsLViaNG5XK3bq3nQIrQtrQSzKbBE6abbk4HxPivgtw/+KbC4A0HsKbYU",
                                 "WZzUrHQSZOyxBsVbrXwGFvppyaZqmW+f4PaoZsoCvXrhxzOH7PLIszVcc1MWy1xrz9ByTNefvM4YKLlBI+S0zY7qdCqwiprbsrUaBky1pz1braeZyuKcELlhU2RnuBLPeGizwJpnkJ3uGWnd/slTz4eRy1ULPSvZdsMGKsse7TVqt2zKeCPJdz49Z6U8w0s3sLlK/u2LXfHVpadDq1wnRFQHLji5ta7ccUMvwmfe57Nua69Ed",
                                 "gK+dJZyyktsdY+tVt/edBndUWZ93+7u4bECbbDxUNf9qZUGgDZh9JFZZn310YOH3vZt1QUZhX5F9lb35C2XmM6gy+1289YyXzC1Vqa4/Y9v0U//fuILJz+V+yOmMJgbmVawcjYw2DxHfPzR2LMQGJm+nEZK+BsNBJ/TFwA8J2agc59DMvO2TZVLILIboJIG9buEwCovksnL0zJVn7n4KnjtWY9nIDYbOZ0ta9gpXcvmtbTZ4E",
                                 "ZE/kGiE5y00zWBHEdApWJa2bB1nPzASl56y5rF3qa829FLVj3UmWwyNLBhGapgdHrcQEplIimtaVEzKtXg6kWzWEUtZOlzXpx0JjMuFnBwzSPYDmW3qS/CjG5oM9no6Ni+P7ksbFf0IIYUWUBr0XAgDZDZEN8IM06pD2B+MlnMQBbHLzYObpYEpRfBZMNGCiSSiHqfHkOmJkq1UnUQ4SD7uIXFuoGwjpVyXBf5pZ0uQtKRk6T",
                                 "WnxyZK2hxiSEC5CTIenmocCFKl5LkojRn5ss80lCSy4QYLKEiyGgZ8pFkCxy/oGnJDE1zmqpUUyTnuIBIDktODbDjNUEHS68VBHC9/lwmvKK5yh4t5owAtGWtQlewDA50kxGbmeq4iTizTQ6K7ZvZjcj5MqYJaHAv8yGGtjjJcC5tWhkCZhGrcyrOLUSH+QRUyqbJrcLtqpGxAVPKhmg8LGEQlzzr5tHQNUh8zrJfzVQk0x71SY",
                                 "IdpwBIDSgWIaeYncVuecdiKEMjglBi8cqjdNTjXeBYKUoRLmQCS2XjbpW8UX7wJ8D71+WWh1GBVvVl1UGpD8F1zUIxIHPWVOklcchT5BEkmRW9KuYKBMwwEQahzdrXxOblLwIKE1M73dupOmjJSgKSlQU8rAe/uq+ofUpx+3IkG3MCODbeVKBxbCkosTrMWBW2aEbj/uFe7cQ5hAGMirmU2tS+OjBE2vGyrXXjZnsWKc9WjnU",
                                 "ToVrbBhrOcmHzkbKaGCshpzu4immXGrwaDid7SzxK7WFYbGb6xttRzKrPqRG7rvIUtkHklrWfPWpuRZvbzKdacWSOJRhmXopSyPK0RSb1b3UhB9hCZbGo1ZUPa4d5R7xCTaQaTOsNE1LgD060ugcy0HqVVlDK/dGXz2JlYQsaLWP6lbIic1enVCtfW2b4mVVTKmMbW7pPzk10UswxMkt3xJ6ddr5JFeqMZAS0e8aNWhp76zUh",
                                 "F+DteOyxWVrNuOpFqQ0zT57MQ2/E7nop2fYNWyWccGQf/Ni55Cidg/0U/iPDGdbBPnlcsuryiguGzsjxVa2ijO/xPHs7SjHyk7+VG6/A21Xx6nONItLbozLTMFPuyqMxriu1xCpimgaz0uztrrBI2FeGNIeow71QNVX5WlwqWJKtFWyHlxvMGWlXJSOElqP5q9cP9xbVpYzjfVG36vM68ng6zlpjYwXj4566lhkutS65OExFO",
                                 "dWNrH32S+mmIhqBdoc2Zoi4NHScvp1TplITYttYM8S2GVuNKhXzfy26pMn5Ecd/jVsRvwk3RHFUSNMKK1kHIu62+ZCp9Db2dgmUOeENckpNApdXnTSf4zARgj06kZj+OR8sqZUwLhP4QviyOALh6l5JrGes/sVkcNW9umxmnt22ZBfsiDiISvZyYmJY05zj2IlH9koOxHMzOqSSUDirC1J/9Kc/pS63ZmqzWmMYRRfRRKeFEDdM",
                                 "U5uuP4lDvD+K8fnQr+QgI0KQfzqiUpDjlZEjjYZKhIGMfrBuIye18EoStJKUeOQhtiDVQ9+7lNOFPhndNJWjcFN3FGvjobQj5lnJQQyEYuM9xzgm7kYMAAMiwyPd7GU9VPKMc+TSQMZ8s1PAvrPZwuctt+DmL5cfjXEa+BzfMUY0wJlQabYKd9TvR3uOp/xjdEN5h4uS51KVcM0SxBuVfC8AHdLe2Xt/mdp8jy2cHxXdH3M/5",
                                 "JNnMoQHD4rY/uPjPIs8IdzEC1xurhjIbD/xiyEP6xMUe8gkQCR6gRDx3wIA5vPmgL0/jwyP6EXWUwQBCPAb2dcXAAgaBhCAfWcAA4AA/3F54zM9vEF89jF3fMF5lEdBuIcbAlCAfuEfhJE7A7RQwpcl32MZuHGA9IcAA+AWAMCAh9GCKmhB9GcAAHB8FrSAz4d1egGAB2RBMkh/AfCDRKck7rRaDYFX/vEjLhgZP3iADNggS4",
                                 "h8Toh5ptEg+WN6NLgeVhgZEhcYJlIeeyFxWygeNKiAQSQlp/Rce8Vuw1Yb/oIboYctLpR2UnIjZeJCs6N5eCh13sFz3zEco0UY4oOGp1RfqGVA/gYHeyozh4vYLQrEMK5Cc+1WJt7EMY1STH2IdStShC11EKKyVQcQiqEYPGQiGQ/gOQxziqeoQBqzigo0KqGyX97kHMUUi60YiyNhGI+hQnMhZJ44KI/SHpIDMMGHNp12JrX",
                                 "FU70DeyRkYsG3i3LRHs0BUtJGcA70egiEGb+RHpXxGN0YF5URjsARjuAIjuMYPeIIHONojhDYQAz0H+XIjtw4jo2XgAwHXDXTP/IjAABQf/0IAPz4j0HojwJZkAR5kAOJkP2oj/vDjwmZkP+4kHCBItARcfyyENZDPe53GAEZkf3YkR4Jkv8okgDpkR9pkuWDe/uTACEZkSCZkduT/iKq9zFHVzaKIT1wEZOIUZJB6JD+6JM+2Z",
                                 "P+KJREyZNG6ZA4uT0ZeT0s6JNGSZSHZxpBxE8edwBJKT17cX3XJz4bmSLHBz7QcXwq2XeW4UAM5EDqxx9gSXruiIE2BWMGRBcAGIB0CYC7d5cGNxHCeDckJEN+qR6AeXKY0h/aVx7xZk5BYywqxB3OESFjUiz+tTqCiRySIyDkBG8mNIzAyHGfqIqd+ZmeeYok8SyhGRg6hXQm4ZmnQoliM142CYkhphmsOJsRISeEkURwRGq",
                                 "v+YjXMZsaoxMAJSiX6JuC4ZuxaUJ5aTgGhCEOli3FaQCT95uYBH7rdpqBJFlpsxFny/KI2xQf13kWglcRyWidLdJYR8Ia5Omc1PmdsGYSwIiZnSZmtkUxN5GMx4g1OCNITVYsBoCM7KlTRbKeGmGfyMVo7dZy1Alg2mmM1mEyJaVo60ZwbCig9tRGoocv19le4cmgEXowDdWeCBMTGyp64zl4yWJSi4afRcETthVg1jmdsZQT",
                                 "BHqf8SmeaeWiGjqCqFmjaBVZ3SSi2EmfKTpmOeafCaoVFfqi2Jmi+pmjg0ekIRGkI+igPYqgTnqj7kWfUHqhdgY8p5mMAQEAADs="
Return
