/* 
 * Make a distribution of Rexx/Tk
 * Required for those platforms that use GNU make:
 *   DOSDJP
 *   OS2EMX
 *   DOSEMX
 *   WIN32
 */
Trace o
Parse Arg verdot src
If verdot = '' Then Call usage
If Stream(src,'C','QUERY EXISTS') = '' Then Call usage
If Stream('tmp','C','QUERY EXISTS') = '' Then 'mkdir tmp'
platform = hereok()
ver = Changestr( '.', verdot, '' )
Call Chdir('tmp')
'del /Y *.*'

if src = '' then call usage
select
  when platform = 'DOSDJG' then do
       dizfile = src || '\dosgo32.diz'
       suffix = 'djg'
       interpreter = 'Regina'
       'copy c:\djgpp\bin\go32.exe .'
       end
  when platform = 'DOSEMX' then do
       dizfile = src || '\dosvcpi.diz'
       suffix = 'vcp'
       interpreter = 'Regina'
       end
  when platform = 'OS2EMX' then do
       dizfile = src || '\os2.diz'
       suffix = 'os2'
       interpreter = 'OS/2 Rexx'
       end
  when platform = 'WIN32' then do
       dizfile = src || '\win32.diz'
       suffix = 'w32'
       interpreter = 'Rexx/Trans'
       fullpath = 'c:\bin\rexxtrans.dll'
       'copy' fullpath '.'
       end
   otherwise call usage
end
'copy ..\rexxtk.exe .'
'copy ..\rexxtk.dll .'
'copy ..\rexxtktree.dll .'
'copy ..\rexxtkmclistbox.dll .'
'copy ..\rexxtknotebook.dll .'
'copy ..\rexxtkcombobox.dll .'
'copy' src || '\COPYING-LIB .'
'copy' src || '\HISTORY .'
'copy' src || '\INSTALL .'
'copy' src || '\TODO .'
'copy' src || '\README .'
If Stream('doc','C','QUERY EXISTS') = '' Then 'mkdir doc'
'del /Y doc\*.*'
'copy' src || '\doc\*.html doc'
'copy' src || '\doc\*.jpg doc'
If Stream('demo','C','QUERY EXISTS') = '' Then 'mkdir demo'
'del /Y demo\*.*'
'copy' src || '\demo\aces.rexx demo'
'copy' src || '\demo\testtk.rexx demo'
/*
Call fixdiz dizfile
*/
'zip -r rexxtk' || ver || '_'suffix '*'
'cd ..'
Return

hereok: Procedure
here = Right(Stream('.','C','QUERY EXISTS'),3)
If here = 'emx' Then Return 'OS2EMX'
If here = 'vcp' Then Return 'DOSEMX'
If here = 'djg' Then Return 'DOSDJG'
here = Right(Stream('.','C','QUERY EXISTS'),2)
If here = 'vc' Then Return 'WIN32'
Say 'not in correct directory. should be running from one of: emx, vcp, djg, vc'
Exit 1
Return

usage:
Say 'makedist versiondot src'
Say 'where:'
Say '      versiondot - 2.5'
Say '      src        - source of Rexx/Tk'
Exit 1
